#
# Module manifest for module 'Az.Network'
#
# Generated by: Microsoft Corporation
#
# Generated on: 12/27/2023
#

@{

# Script module or binary module file associated with this manifest.
RootModule = 'Az.Network.psm1'

# Version number of this module.
ModuleVersion = '7.3.0'

# Supported PSEditions
CompatiblePSEditions = 'Core', 'Desktop'

# ID used to uniquely identify this module
GUID = 'f554cfcd-9cbb-4021-b158-fe20f0497f82'

# Author of this module
Author = 'Microsoft Corporation'

# Company or vendor of this module
CompanyName = 'Microsoft Corporation'

# Copyright statement for this module
Copyright = 'Microsoft Corporation. All rights reserved.'

# Description of the functionality provided by this module
Description = 'Microsoft Azure PowerShell - Networking service cmdlets for Azure Resource Manager in Windows PowerShell and PowerShell Core.

For more information on Networking, please visit the following: https://learn.microsoft.com/azure/networking/networking-overview'

# Minimum version of the PowerShell engine required by this module
PowerShellVersion = '5.1'

# Name of the PowerShell host required by this module
# PowerShellHostName = ''

# Minimum version of the PowerShell host required by this module
# PowerShellHostVersion = ''

# Minimum version of Microsoft .NET Framework required by this module. This prerequisite is valid for the PowerShell Desktop edition only.
DotNetFrameworkVersion = '4.7.2'

# Minimum version of the common language runtime (CLR) required by this module. This prerequisite is valid for the PowerShell Desktop edition only.
# ClrVersion = ''

# Processor architecture (None, X86, Amd64) required by this module
# ProcessorArchitecture = ''

# Modules that must be imported into the global environment prior to importing this module
RequiredModules = @()

# Assemblies that must be loaded prior to importing this module
RequiredAssemblies = 'Microsoft.Azure.PowerShell.AutoMapper.dll', 
               'Microsoft.Azure.PowerShell.Network.Management.Sdk.dll'

# Script files (.ps1) that are run in the caller's environment prior to importing this module.
# ScriptsToProcess = @()

# Type files (.ps1xml) to be loaded when importing this module
# TypesToProcess = @()

# Format files (.ps1xml) to be loaded when importing this module
FormatsToProcess = 'Network.generated.format.ps1xml'

# Modules to import as nested modules of the module specified in RootModule/ModuleToProcess
NestedModules = @()

# Functions to export from this module, for best performance, do not use wildcards and do not delete the entry, use an empty array if there are no functions to export.
FunctionsToExport = @()

# Cmdlets to export from this module, for best performance, do not use wildcards and do not delete the entry, use an empty array if there are no cmdlets to export.
CmdletsToExport = 'Add-AzApplicationGatewayAuthenticationCertificate', 
               'Add-AzApplicationGatewayBackendAddressPool', 
               'Add-AzApplicationGatewayBackendHttpSetting', 
               'Add-AzApplicationGatewayBackendSetting', 
               'Add-AzApplicationGatewayCustomError', 
               'Add-AzApplicationGatewayFrontendIPConfig', 
               'Add-AzApplicationGatewayFrontendPort', 
               'Add-AzApplicationGatewayHttpListener', 
               'Add-AzApplicationGatewayHttpListenerCustomError', 
               'Add-AzApplicationGatewayIPConfiguration', 
               'Add-AzApplicationGatewayListener', 
               'Add-AzApplicationGatewayPrivateLinkConfiguration', 
               'Add-AzApplicationGatewayProbeConfig', 
               'Add-AzApplicationGatewayRedirectConfiguration', 
               'Add-AzApplicationGatewayRequestRoutingRule', 
               'Add-AzApplicationGatewayRewriteRuleSet', 
               'Add-AzApplicationGatewayRoutingRule', 
               'Add-AzApplicationGatewaySslCertificate', 
               'Add-AzApplicationGatewaySslProfile', 
               'Add-AzApplicationGatewayTrustedClientCertificate', 
               'Add-AzApplicationGatewayTrustedRootCertificate', 
               'Add-AzApplicationGatewayUrlPathMapConfig', 'Add-AzDelegation', 
               'Add-AzExpressRouteCircuitAuthorization', 
               'Add-AzExpressRouteCircuitConnectionConfig', 
               'Add-AzExpressRouteCircuitPeeringConfig', 
               'Add-AzExpressRouteCrossConnectionPeering', 
               'Add-AzExpressRoutePortAuthorization', 
               'Add-AzLoadBalancerBackendAddressPoolConfig', 
               'Add-AzLoadBalancerFrontendIpConfig', 
               'Add-AzLoadBalancerInboundNatPoolConfig', 
               'Add-AzLoadBalancerInboundNatRuleConfig', 
               'Add-AzLoadBalancerOutboundRuleConfig', 
               'Add-AzLoadBalancerProbeConfig', 'Add-AzLoadBalancerRuleConfig', 
               'Add-AzNetworkInterfaceIpConfig', 'Add-AzNetworkInterfaceTapConfig', 
               'Add-AzNetworkSecurityRuleConfig', 'Add-AzRouteConfig', 
               'Add-AzRouteFilterRuleConfig', 'Add-AzRouteServerPeer', 
               'Add-AzRoutingPolicy', 'Add-AzServiceEndpointPolicyDefinition', 
               'Add-AzVirtualHubRoute', 'Add-AzVirtualHubRouteTable', 
               'Add-AzVirtualNetworkGatewayIpConfig', 
               'Add-AzVirtualNetworkPeering', 'Add-AzVirtualNetworkSubnetConfig', 
               'Add-AzVirtualRouterPeer', 'Add-AzVpnClientRevokedCertificate', 
               'Add-AzVpnClientRootCertificate', 
               'Approve-AzPrivateEndpointConnection', 
               'Deny-AzPrivateEndpointConnection', 'Deploy-AzNetworkManagerCommit', 
               'Disconnect-AzP2SVpnGatewayVpnConnection', 
               'Disconnect-AzVirtualNetworkGatewayVpnConnection', 
               'Get-AzApplicationGateway', 
               'Get-AzApplicationGatewayAuthenticationCertificate', 
               'Get-AzApplicationGatewayAutoscaleConfiguration', 
               'Get-AzApplicationGatewayAvailableServerVariableAndHeader', 
               'Get-AzApplicationGatewayAvailableSslOption', 
               'Get-AzApplicationGatewayAvailableWafRuleSet', 
               'Get-AzApplicationGatewayBackendAddressPool', 
               'Get-AzApplicationGatewayBackendHealth', 
               'Get-AzApplicationGatewayBackendHttpSetting', 
               'Get-AzApplicationGatewayBackendSetting', 
               'Get-AzApplicationGatewayClientAuthConfiguration', 
               'Get-AzApplicationGatewayConnectionDraining', 
               'Get-AzApplicationGatewayCustomError', 
               'Get-AzApplicationGatewayFirewallPolicy', 
               'Get-AzApplicationGatewayFrontendIPConfig', 
               'Get-AzApplicationGatewayFrontendPort', 
               'Get-AzApplicationGatewayHttpListener', 
               'Get-AzApplicationGatewayHttpListenerCustomError', 
               'Get-AzApplicationGatewayIdentity', 
               'Get-AzApplicationGatewayIPConfiguration', 
               'Get-AzApplicationGatewayListener', 
               'Get-AzApplicationGatewayPrivateLinkConfiguration', 
               'Get-AzApplicationGatewayProbeConfig', 
               'Get-AzApplicationGatewayRedirectConfiguration', 
               'Get-AzApplicationGatewayRequestRoutingRule', 
               'Get-AzApplicationGatewayRewriteRuleSet', 
               'Get-AzApplicationGatewayRoutingRule', 
               'Get-AzApplicationGatewaySku', 
               'Get-AzApplicationGatewaySslCertificate', 
               'Get-AzApplicationGatewaySslPolicy', 
               'Get-AzApplicationGatewaySslPredefinedPolicy', 
               'Get-AzApplicationGatewaySslProfile', 
               'Get-AzApplicationGatewaySslProfilePolicy', 
               'Get-AzApplicationGatewayTrustedClientCertificate', 
               'Get-AzApplicationGatewayTrustedRootCertificate', 
               'Get-AzApplicationGatewayUrlPathMapConfig', 
               'Get-AzApplicationGatewayWafDynamicManifest', 
               'Get-AzApplicationGatewayWebApplicationFirewallConfiguration', 
               'Get-AzApplicationSecurityGroup', 
               'Get-AzAutoApprovedPrivateLinkService', 
               'Get-AzAvailablePrivateEndpointType', 'Get-AzAvailableServiceAlias', 
               'Get-AzAvailableServiceDelegation', 'Get-AzBastion', 
               'Get-AzBgpServiceCommunity', 'Get-AzCustomIpPrefix', 
               'Get-AzDdosProtectionPlan', 'Get-AzDelegation', 
               'Get-AzEffectiveNetworkSecurityGroup', 'Get-AzEffectiveRouteTable', 
               'Get-AzExpressRouteCircuit', 'Get-AzExpressRouteCircuitARPTable', 
               'Get-AzExpressRouteCircuitAuthorization', 
               'Get-AzExpressRouteCircuitConnectionConfig', 
               'Get-AzExpressRouteCircuitPeeringConfig', 
               'Get-AzExpressRouteCircuitRouteTable', 
               'Get-AzExpressRouteCircuitRouteTableSummary', 
               'Get-AzExpressRouteCircuitStat', 'Get-AzExpressRouteConnection', 
               'Get-AzExpressRouteCrossConnection', 
               'Get-AzExpressRouteCrossConnectionArpTable', 
               'Get-AzExpressRouteCrossConnectionPeering', 
               'Get-AzExpressRouteCrossConnectionRouteTable', 
               'Get-AzExpressRouteCrossConnectionRouteTableSummary', 
               'Get-AzExpressRouteGateway', 'Get-AzExpressRoutePort', 
               'Get-AzExpressRoutePortAuthorization', 
               'Get-AzExpressRoutePortIdentity', 
               'Get-AzExpressRoutePortLinkConfig', 
               'Get-AzExpressRoutePortsLocation', 
               'Get-AzExpressRouteServiceProvider', 'Get-AzFirewall', 
               'Get-AzFirewallFqdnTag', 'Get-AzFirewallLearnedIpPrefix', 
               'Get-AzFirewallPolicy', 'Get-AzFirewallPolicyRuleCollectionGroup', 
               'Get-AzIpAllocation', 'Get-AzIpGroup', 'Get-AzLoadBalancer', 
               'Get-AzLoadBalancerBackendAddressInboundNatRulePortMapping', 
               'Get-AzLoadBalancerBackendAddressPool', 
               'Get-AzLoadBalancerBackendAddressPoolConfig', 
               'Get-AzLoadBalancerFrontendIpConfig', 
               'Get-AzLoadBalancerInboundNatPoolConfig', 
               'Get-AzLoadBalancerInboundNatRuleConfig', 
               'Get-AzLoadBalancerOutboundRuleConfig', 
               'Get-AzLoadBalancerProbeConfig', 'Get-AzLoadBalancerRuleConfig', 
               'Get-AzLocalNetworkGateway', 'Get-AzNatGateway', 
               'Get-AzNetworkInterface', 'Get-AzNetworkInterfaceIpConfig', 
               'Get-AzNetworkInterfaceTapConfig', 'Get-AzNetworkManager', 
               'Get-AzNetworkManagerActiveConnectivityConfiguration', 
               'Get-AzNetworkManagerActiveSecurityAdminRule', 
               'Get-AzNetworkManagerConnectivityConfiguration', 
               'Get-AzNetworkManagerDeploymentStatus', 
               'Get-AzNetworkManagerEffectiveConnectivityConfiguration', 
               'Get-AzNetworkManagerEffectiveSecurityAdminRule', 
               'Get-AzNetworkManagerGroup', 
               'Get-AzNetworkManagerManagementGroupConnection', 
               'Get-AzNetworkManagerScopeConnection', 
               'Get-AzNetworkManagerSecurityAdminConfiguration', 
               'Get-AzNetworkManagerSecurityAdminRule', 
               'Get-AzNetworkManagerSecurityAdminRuleCollection', 
               'Get-AzNetworkManagerStaticMember', 
               'Get-AzNetworkManagerSubscriptionConnection', 
               'Get-AzNetworkProfile', 'Get-AzNetworkSecurityGroup', 
               'Get-AzNetworkSecurityRuleConfig', 'Get-AzNetworkServiceTag', 
               'Get-AzNetworkUsage', 'Get-AzNetworkVirtualAppliance', 
               'Get-AzNetworkVirtualApplianceConnection', 
               'Get-AzNetworkVirtualApplianceSku', 'Get-AzNetworkWatcher', 
               'Get-AzNetworkWatcherConnectionMonitor', 
               'Get-AzNetworkWatcherConnectionMonitorReport', 
               'Get-AzNetworkWatcherFlowLog', 'Get-AzNetworkWatcherFlowLogStatus', 
               'Get-AzNetworkWatcherNextHop', 'Get-AzNetworkWatcherPacketCapture', 
               'Get-AzNetworkWatcherReachabilityProvidersList', 
               'Get-AzNetworkWatcherReachabilityReport', 
               'Get-AzNetworkWatcherSecurityGroupView', 
               'Get-AzNetworkWatcherTopology', 
               'Get-AzNetworkWatcherTroubleshootingResult', 'Get-AzP2sVpnGateway', 
               'Get-AzP2sVpnGatewayConnectionHealth', 
               'Get-AzP2sVpnGatewayDetailedConnectionHealth', 
               'Get-AzP2sVpnGatewayVpnProfile', 'Get-AzPrivateDnsZoneGroup', 
               'Get-AzPrivateEndpoint', 'Get-AzPrivateEndpointConnection', 
               'Get-AzPrivateLinkResource', 'Get-AzPrivateLinkService', 
               'Get-AzPublicIpAddress', 'Get-AzPublicIpPrefix', 'Get-AzRouteConfig', 
               'Get-AzRouteFilter', 'Get-AzRouteFilterRuleConfig', 'Get-AzRouteMap', 
               'Get-AzRouteServer', 'Get-AzRouteServerPeer', 
               'Get-AzRouteServerPeerAdvertisedRoute', 
               'Get-AzRouteServerPeerLearnedRoute', 'Get-AzRouteTable', 
               'Get-AzRoutingIntent', 'Get-AzRoutingPolicy', 
               'Get-AzSecurityPartnerProvider', 'Get-AzServiceEndpointPolicy', 
               'Get-AzServiceEndpointPolicyDefinition', 'Get-AzVHubEffectiveRoute', 
               'Get-AzVHubInboundRoute', 'Get-AzVHubOutboundRoute', 
               'Get-AzVHubRouteTable', 'Get-AzVirtualApplianceSite', 
               'Get-AzVirtualHub', 'Get-AzVirtualHubBgpConnection', 
               'Get-AzVirtualHubRouteTable', 'Get-AzVirtualHubVnetConnection', 
               'Get-AzVirtualNetwork', 
               'Get-AzVirtualNetworkAvailableEndpointService', 
               'Get-AzVirtualNetworkGateway', 
               'Get-AzVirtualNetworkGatewayAdvertisedRoute', 
               'Get-AzVirtualNetworkGatewayBGPPeerStatus', 
               'Get-AzVirtualNetworkGatewayConnection', 
               'Get-AzVirtualNetworkGatewayConnectionIkeSa', 
               'Get-AzVirtualNetworkGatewayConnectionSharedKey', 
               'Get-AzVirtualNetworkGatewayConnectionVpnDeviceConfigScript', 
               'Get-AzVirtualNetworkGatewayLearnedRoute', 
               'Get-AzVirtualNetworkGatewayNatRule', 
               'Get-AzVirtualNetworkGatewaySupportedVpnDevice', 
               'Get-AzVirtualNetworkGatewayVpnClientConnectionHealth', 
               'Get-AzVirtualNetworkPeering', 'Get-AzVirtualNetworkSubnetConfig', 
               'Get-AzVirtualNetworkTap', 'Get-AzVirtualNetworkUsageList', 
               'Get-AzVirtualRouter', 'Get-AzVirtualRouterPeer', 
               'Get-AzVirtualRouterPeerAdvertisedRoute', 
               'Get-AzVirtualRouterPeerLearnedRoute', 'Get-AzVirtualWan', 
               'Get-AzVirtualWanVpnConfiguration', 
               'Get-AzVirtualWanVpnServerConfiguration', 
               'Get-AzVirtualWanVpnServerConfigurationVpnProfile', 
               'Get-AzVpnClientConfiguration', 'Get-AzVpnClientIpsecParameter', 
               'Get-AzVpnClientPackage', 'Get-AzVpnClientRevokedCertificate', 
               'Get-AzVpnClientRootCertificate', 'Get-AzVpnConnection', 
               'Get-AzVpnGateway', 'Get-AzVpnGatewayNatRule', 
               'Get-AzVpnServerConfiguration', 
               'Get-AzVpnServerConfigurationPolicyGroup', 'Get-AzVpnSite', 
               'Get-AzVpnSiteLinkConnectionIkeSa', 
               'Invoke-AzNetworkWatcherNetworkConfigurationDiagnostic', 
               'Move-AzExpressRouteCircuit', 'New-AzApplicationGateway', 
               'New-AzApplicationGatewayAuthenticationCertificate', 
               'New-AzApplicationGatewayAutoscaleConfiguration', 
               'New-AzApplicationGatewayBackendAddressPool', 
               'New-AzApplicationGatewayBackendHttpSetting', 
               'New-AzApplicationGatewayBackendSetting', 
               'New-AzApplicationGatewayClientAuthConfiguration', 
               'New-AzApplicationGatewayConnectionDraining', 
               'New-AzApplicationGatewayCustomError', 
               'New-AzApplicationGatewayFirewallCondition', 
               'New-AzApplicationGatewayFirewallCustomRule', 
               'New-AzApplicationGatewayFirewallCustomRuleGroupByUserSession', 
               'New-AzApplicationGatewayFirewallCustomRuleGroupByVariable', 
               'New-AzApplicationGatewayFirewallDisabledRuleGroupConfig', 
               'New-AzApplicationGatewayFirewallExclusionConfig', 
               'New-AzApplicationGatewayFirewallMatchVariable', 
               'New-AzApplicationGatewayFirewallPolicy', 
               'New-AzApplicationGatewayFirewallPolicyExclusion', 
               'New-AzApplicationGatewayFirewallPolicyExclusionManagedRule', 
               'New-AzApplicationGatewayFirewallPolicyExclusionManagedRuleGroup', 
               'New-AzApplicationGatewayFirewallPolicyExclusionManagedRuleSet', 
               'New-AzApplicationGatewayFirewallPolicyLogScrubbingConfiguration', 
               'New-AzApplicationGatewayFirewallPolicyLogScrubbingRule', 
               'New-AzApplicationGatewayFirewallPolicyManagedRule', 
               'New-AzApplicationGatewayFirewallPolicyManagedRuleGroupOverride', 
               'New-AzApplicationGatewayFirewallPolicyManagedRuleOverride', 
               'New-AzApplicationGatewayFirewallPolicyManagedRuleSet', 
               'New-AzApplicationGatewayFirewallPolicySetting', 
               'New-AzApplicationGatewayFrontendIPConfig', 
               'New-AzApplicationGatewayFrontendPort', 
               'New-AzApplicationGatewayHttpListener', 
               'New-AzApplicationGatewayIdentity', 
               'New-AzApplicationGatewayIPConfiguration', 
               'New-AzApplicationGatewayListener', 
               'New-AzApplicationGatewayPathRuleConfig', 
               'New-AzApplicationGatewayPrivateLinkConfiguration', 
               'New-AzApplicationGatewayPrivateLinkIpConfiguration', 
               'New-AzApplicationGatewayProbeConfig', 
               'New-AzApplicationGatewayProbeHealthResponseMatch', 
               'New-AzApplicationGatewayRedirectConfiguration', 
               'New-AzApplicationGatewayRequestRoutingRule', 
               'New-AzApplicationGatewayRewriteRule', 
               'New-AzApplicationGatewayRewriteRuleActionSet', 
               'New-AzApplicationGatewayRewriteRuleCondition', 
               'New-AzApplicationGatewayRewriteRuleHeaderConfiguration', 
               'New-AzApplicationGatewayRewriteRuleSet', 
               'New-AzApplicationGatewayRewriteRuleUrlConfiguration', 
               'New-AzApplicationGatewayRoutingRule', 
               'New-AzApplicationGatewaySku', 
               'New-AzApplicationGatewaySslCertificate', 
               'New-AzApplicationGatewaySslPolicy', 
               'New-AzApplicationGatewaySslProfile', 
               'New-AzApplicationGatewayTrustedClientCertificate', 
               'New-AzApplicationGatewayTrustedRootCertificate', 
               'New-AzApplicationGatewayUrlPathMapConfig', 
               'New-AzApplicationGatewayWebApplicationFirewallConfiguration', 
               'New-AzApplicationSecurityGroup', 'New-AzBastion', 
               'New-AzContainerNicConfig', 'New-AzContainerNicConfigIpConfig', 
               'New-AzCustomIpPrefix', 'New-AzDdosProtectionPlan', 
               'New-AzDelegation', 'New-AzExpressRouteCircuit', 
               'New-AzExpressRouteCircuitAuthorization', 
               'New-AzExpressRouteCircuitPeeringConfig', 
               'New-AzExpressRouteConnection', 'New-AzExpressRouteGateway', 
               'New-AzExpressRoutePort', 'New-AzExpressRoutePortIdentity', 
               'New-AzExpressRoutePortLOA', 'New-AzFirewall', 
               'New-AzFirewallApplicationRule', 
               'New-AzFirewallApplicationRuleCollection', 
               'New-AzFirewallHubIpAddress', 'New-AzFirewallHubPublicIpAddress', 
               'New-AzFirewallNatRule', 'New-AzFirewallNatRuleCollection', 
               'New-AzFirewallNetworkRule', 'New-AzFirewallNetworkRuleCollection', 
               'New-AzFirewallPolicy', 'New-AzFirewallPolicyApplicationRule', 
               'New-AzFirewallPolicyApplicationRuleCustomHttpHeader', 
               'New-AzFirewallPolicyDnsSetting', 
               'New-AzFirewallPolicyExplicitProxy', 
               'New-AzFirewallPolicyFilterRuleCollection', 
               'New-AzFirewallPolicyIntrusionDetection', 
               'New-AzFirewallPolicyIntrusionDetectionBypassTraffic', 
               'New-AzFirewallPolicyIntrusionDetectionSignatureOverride', 
               'New-AzFirewallPolicyNatRule', 
               'New-AzFirewallPolicyNatRuleCollection', 
               'New-AzFirewallPolicyNetworkRule', 
               'New-AzFirewallPolicyRuleCollectionGroup', 
               'New-AzFirewallPolicySnat', 'New-AzFirewallPolicySqlSetting', 
               'New-AzFirewallPolicyThreatIntelWhitelist', 
               'New-AzFirewallPublicIpAddress', 
               'New-AzFirewallThreatIntelWhitelist', 
               'New-AzGatewayCustomBgpIpConfigurationObject', 'New-AzIpAllocation', 
               'New-AzIpConfigurationBgpPeeringAddressObject', 'New-AzIpGroup', 
               'New-AzIpsecPolicy', 'New-AzIpsecTrafficSelectorPolicy', 
               'New-AzLoadBalancer', 'New-AzLoadBalancerBackendAddressConfig', 
               'New-AzLoadBalancerBackendAddressPool', 
               'New-AzLoadBalancerBackendAddressPoolConfig', 
               'New-AzLoadBalancerBackendAddressPoolTunnelInterfaceConfig', 
               'New-AzLoadBalancerFrontendIpConfig', 
               'New-AzLoadBalancerInboundNatPoolConfig', 
               'New-AzLoadBalancerInboundNatRuleConfig', 
               'New-AzLoadBalancerOutboundRuleConfig', 
               'New-AzLoadBalancerProbeConfig', 'New-AzLoadBalancerRuleConfig', 
               'New-AzLocalNetworkGateway', 'New-AzNatGateway', 
               'New-AzNetworkInterface', 'New-AzNetworkInterfaceIpConfig', 
               'New-AzNetworkManager', 'New-AzNetworkManagerAddressPrefixItem', 
               'New-AzNetworkManagerConnectivityConfiguration', 
               'New-AzNetworkManagerConnectivityGroupItem', 
               'New-AzNetworkManagerGroup', 'New-AzNetworkManagerHub', 
               'New-AzNetworkManagerManagementGroupConnection', 
               'New-AzNetworkManagerScope', 'New-AzNetworkManagerScopeConnection', 
               'New-AzNetworkManagerSecurityAdminConfiguration', 
               'New-AzNetworkManagerSecurityAdminRule', 
               'New-AzNetworkManagerSecurityAdminRuleCollection', 
               'New-AzNetworkManagerSecurityGroupItem', 
               'New-AzNetworkManagerStaticMember', 
               'New-AzNetworkManagerSubscriptionConnection', 
               'New-AzNetworkProfile', 'New-AzNetworkSecurityGroup', 
               'New-AzNetworkSecurityRuleConfig', 'New-AzNetworkVirtualAppliance', 
               'New-AzNetworkWatcher', 'New-AzNetworkWatcherConnectionMonitor', 
               'New-AzNetworkWatcherConnectionMonitorEndpointObject', 
               'New-AzNetworkWatcherConnectionMonitorEndpointScopeItemObject', 
               'New-AzNetworkWatcherConnectionMonitorObject', 
               'New-AzNetworkWatcherConnectionMonitorOutputObject', 
               'New-AzNetworkWatcherConnectionMonitorProtocolConfigurationObject', 
               'New-AzNetworkWatcherConnectionMonitorTestConfigurationObject', 
               'New-AzNetworkWatcherConnectionMonitorTestGroupObject', 
               'New-AzNetworkWatcherFlowLog', 
               'New-AzNetworkWatcherNetworkConfigurationDiagnosticProfile', 
               'New-AzNetworkWatcherPacketCapture', 
               'New-AzNetworkWatcherPacketCaptureV2', 
               'New-AzNetworkWatcherProtocolConfiguration', 
               'New-AzO365PolicyProperty', 'New-AzOffice365PolicyProperty', 
               'New-AzP2sVpnGateway', 'New-AzPacketCaptureFilterConfig', 
               'New-AzPacketCaptureScopeConfig', 'New-AzPrivateDnsZoneConfig', 
               'New-AzPrivateDnsZoneGroup', 'New-AzPrivateEndpoint', 
               'New-AzPrivateEndpointIpConfiguration', 'New-AzPrivateLinkService', 
               'New-AzPrivateLinkServiceConnection', 
               'New-AzPrivateLinkServiceIpConfig', 'New-AzPublicIpAddress', 
               'New-AzPublicIpPrefix', 'New-AzPublicIpTag', 'New-AzRadiusServer', 
               'New-AzRouteConfig', 'New-AzRouteFilter', 
               'New-AzRouteFilterRuleConfig', 'New-AzRouteMap', 'New-AzRouteMapRule', 
               'New-AzRouteMapRuleAction', 'New-AzRouteMapRuleActionParameter', 
               'New-AzRouteMapRuleCriterion', 'New-AzRouteServer', 
               'New-AzRouteTable', 'New-AzRoutingConfiguration', 
               'New-AzRoutingIntent', 'New-AzRoutingPolicy', 
               'New-AzSaaSNetworkVirtualAppliance', 
               'New-AzSecurityPartnerProvider', 'New-AzServiceEndpointPolicy', 
               'New-AzServiceEndpointPolicyDefinition', 'New-AzStaticRoute', 
               'New-AzVHubRoute', 'New-AzVHubRouteTable', 
               'New-AzVirtualApplianceAdditionalNicProperty', 
               'New-AzVirtualApplianceSite', 'New-AzVirtualApplianceSkuProperty', 
               'New-AzVirtualHub', 'New-AzVirtualHubBgpConnection', 
               'New-AzVirtualHubRoute', 'New-AzVirtualHubRouteTable', 
               'New-AzVirtualHubVnetConnection', 'New-AzVirtualNetwork', 
               'New-AzVirtualNetworkGateway', 
               'New-AzVirtualNetworkGatewayConnection', 
               'New-AzVirtualNetworkGatewayIpConfig', 
               'New-AzVirtualNetworkGatewayNatRule', 
               'New-AzVirtualNetworkGatewayPolicyGroup', 
               'New-AzVirtualNetworkGatewayPolicyGroupMember', 
               'New-AzVirtualNetworkSubnetConfig', 'New-AzVirtualNetworkTap', 
               'New-AzVirtualRouter', 'New-AzVirtualRouterAutoScaleConfiguration', 
               'New-AzVirtualWan', 'New-AzVpnClientConfiguration', 
               'New-AzVpnClientConnectionConfiguration', 
               'New-AzVpnClientIpsecParameter', 'New-AzVpnClientIpsecPolicy', 
               'New-AzVpnClientRevokedCertificate', 
               'New-AzVpnClientRootCertificate', 'New-AzVpnConnection', 
               'New-AzVpnGateway', 'New-AzVpnGatewayNatRule', 
               'New-AzVpnServerConfiguration', 
               'New-AzVpnServerConfigurationPolicyGroup', 'New-AzVpnSite', 
               'New-AzVpnSiteLink', 'New-AzVpnSiteLinkConnection', 
               'Remove-AzApplicationGateway', 
               'Remove-AzApplicationGatewayAuthenticationCertificate', 
               'Remove-AzApplicationGatewayAutoscaleConfiguration', 
               'Remove-AzApplicationGatewayBackendAddressPool', 
               'Remove-AzApplicationGatewayBackendHttpSetting', 
               'Remove-AzApplicationGatewayBackendSetting', 
               'Remove-AzApplicationGatewayClientAuthConfiguration', 
               'Remove-AzApplicationGatewayConnectionDraining', 
               'Remove-AzApplicationGatewayCustomError', 
               'Remove-AzApplicationGatewayFirewallCustomRule', 
               'Remove-AzApplicationGatewayFirewallPolicy', 
               'Remove-AzApplicationGatewayFrontendIPConfig', 
               'Remove-AzApplicationGatewayFrontendPort', 
               'Remove-AzApplicationGatewayHttpListener', 
               'Remove-AzApplicationGatewayHttpListenerCustomError', 
               'Remove-AzApplicationGatewayIdentity', 
               'Remove-AzApplicationGatewayIPConfiguration', 
               'Remove-AzApplicationGatewayListener', 
               'Remove-AzApplicationGatewayPrivateLinkConfiguration', 
               'Remove-AzApplicationGatewayProbeConfig', 
               'Remove-AzApplicationGatewayRedirectConfiguration', 
               'Remove-AzApplicationGatewayRequestRoutingRule', 
               'Remove-AzApplicationGatewayRewriteRuleSet', 
               'Remove-AzApplicationGatewayRoutingRule', 
               'Remove-AzApplicationGatewaySslCertificate', 
               'Remove-AzApplicationGatewaySslPolicy', 
               'Remove-AzApplicationGatewaySslProfile', 
               'Remove-AzApplicationGatewaySslProfilePolicy', 
               'Remove-AzApplicationGatewayTrustedClientCertificate', 
               'Remove-AzApplicationGatewayTrustedRootCertificate', 
               'Remove-AzApplicationGatewayUrlPathMapConfig', 
               'Remove-AzApplicationSecurityGroup', 'Remove-AzBastion', 
               'Remove-AzCustomIpPrefix', 'Remove-AzDdosProtectionPlan', 
               'Remove-AzDelegation', 'Remove-AzExpressRouteCircuit', 
               'Remove-AzExpressRouteCircuitAuthorization', 
               'Remove-AzExpressRouteCircuitConnectionConfig', 
               'Remove-AzExpressRouteCircuitPeeringConfig', 
               'Remove-AzExpressRouteConnection', 
               'Remove-AzExpressRouteCrossConnectionPeering', 
               'Remove-AzExpressRouteGateway', 'Remove-AzExpressRoutePort', 
               'Remove-AzExpressRoutePortAuthorization', 
               'Remove-AzExpressRoutePortIdentity', 'Remove-AzFirewall', 
               'Remove-AzFirewallPolicy', 
               'Remove-AzFirewallPolicyRuleCollectionGroup', 
               'Remove-AzIpAllocation', 'Remove-AzIpGroup', 'Remove-AzLoadBalancer', 
               'Remove-AzLoadBalancerBackendAddressPool', 
               'Remove-AzLoadBalancerBackendAddressPoolConfig', 
               'Remove-AzLoadBalancerFrontendIpConfig', 
               'Remove-AzLoadBalancerInboundNatPoolConfig', 
               'Remove-AzLoadBalancerInboundNatRuleConfig', 
               'Remove-AzLoadBalancerOutboundRuleConfig', 
               'Remove-AzLoadBalancerProbeConfig', 
               'Remove-AzLoadBalancerRuleConfig', 'Remove-AzLocalNetworkGateway', 
               'Remove-AzNatGateway', 'Remove-AzNetworkInterface', 
               'Remove-AzNetworkInterfaceIpConfig', 
               'Remove-AzNetworkInterfaceTapConfig', 'Remove-AzNetworkManager', 
               'Remove-AzNetworkManagerConnectivityConfiguration', 
               'Remove-AzNetworkManagerGroup', 
               'Remove-AzNetworkManagerManagementGroupConnection', 
               'Remove-AzNetworkManagerScopeConnection', 
               'Remove-AzNetworkManagerSecurityAdminConfiguration', 
               'Remove-AzNetworkManagerSecurityAdminRule', 
               'Remove-AzNetworkManagerSecurityAdminRuleCollection', 
               'Remove-AzNetworkManagerStaticMember', 
               'Remove-AzNetworkManagerSubscriptionConnection', 
               'Remove-AzNetworkProfile', 'Remove-AzNetworkSecurityGroup', 
               'Remove-AzNetworkSecurityRuleConfig', 
               'Remove-AzNetworkVirtualAppliance', 'Remove-AzNetworkWatcher', 
               'Remove-AzNetworkWatcherConnectionMonitor', 
               'Remove-AzNetworkWatcherFlowLog', 
               'Remove-AzNetworkWatcherPacketCapture', 'Remove-AzP2sVpnGateway', 
               'Remove-AzPrivateDnsZoneGroup', 'Remove-AzPrivateEndpoint', 
               'Remove-AzPrivateEndpointConnection', 'Remove-AzPrivateLinkService', 
               'Remove-AzPublicIpAddress', 'Remove-AzPublicIpPrefix', 
               'Remove-AzRouteConfig', 'Remove-AzRouteFilter', 
               'Remove-AzRouteFilterRuleConfig', 'Remove-AzRouteMap', 
               'Remove-AzRouteServer', 'Remove-AzRouteServerPeer', 
               'Remove-AzRouteTable', 'Remove-AzRoutingIntent', 
               'Remove-AzRoutingPolicy', 'Remove-AzSecurityPartnerProvider', 
               'Remove-AzServiceEndpointPolicy', 
               'Remove-AzServiceEndpointPolicyDefinition', 
               'Remove-AzVHubRouteTable', 'Remove-AzVirtualApplianceSite', 
               'Remove-AzVirtualHub', 'Remove-AzVirtualHubBgpConnection', 
               'Remove-AzVirtualHubRouteTable', 
               'Remove-AzVirtualHubVnetConnection', 'Remove-AzVirtualNetwork', 
               'Remove-AzVirtualNetworkGateway', 
               'Remove-AzVirtualNetworkGatewayConnection', 
               'Remove-AzVirtualNetworkGatewayDefaultSite', 
               'Remove-AzVirtualNetworkGatewayIpConfig', 
               'Remove-AzVirtualNetworkGatewayNatRule', 
               'Remove-AzVirtualNetworkPeering', 
               'Remove-AzVirtualNetworkSubnetConfig', 'Remove-AzVirtualNetworkTap', 
               'Remove-AzVirtualRouter', 'Remove-AzVirtualRouterPeer', 
               'Remove-AzVirtualWan', 'Remove-AzVpnClientIpsecParameter', 
               'Remove-AzVpnClientRevokedCertificate', 
               'Remove-AzVpnClientRootCertificate', 'Remove-AzVpnConnection', 
               'Remove-AzVpnGateway', 'Remove-AzVpnGatewayNatRule', 
               'Remove-AzVpnServerConfiguration', 
               'Remove-AzVpnServerConfigurationPolicyGroup', 'Remove-AzVpnSite', 
               'Reset-AzHubRouter', 'Reset-AzP2sVpnGateway', 
               'Reset-AzVirtualNetworkGateway', 
               'Reset-AzVirtualNetworkGatewayConnection', 
               'Reset-AzVirtualNetworkGatewayConnectionSharedKey', 
               'Reset-AzVpnGateway', 'Reset-AzVpnSiteLinkConnection', 
               'Resize-AzVirtualNetworkGateway', 'Set-AzApplicationGateway', 
               'Set-AzApplicationGatewayAuthenticationCertificate', 
               'Set-AzApplicationGatewayAutoscaleConfiguration', 
               'Set-AzApplicationGatewayBackendAddressPool', 
               'Set-AzApplicationGatewayBackendHttpSetting', 
               'Set-AzApplicationGatewayBackendSetting', 
               'Set-AzApplicationGatewayClientAuthConfiguration', 
               'Set-AzApplicationGatewayConnectionDraining', 
               'Set-AzApplicationGatewayCustomError', 
               'Set-AzApplicationGatewayFirewallPolicy', 
               'Set-AzApplicationGatewayFrontendIPConfig', 
               'Set-AzApplicationGatewayFrontendPort', 
               'Set-AzApplicationGatewayHttpListener', 
               'Set-AzApplicationGatewayHttpListenerCustomError', 
               'Set-AzApplicationGatewayIdentity', 
               'Set-AzApplicationGatewayIPConfiguration', 
               'Set-AzApplicationGatewayListener', 
               'Set-AzApplicationGatewayPrivateLinkConfiguration', 
               'Set-AzApplicationGatewayProbeConfig', 
               'Set-AzApplicationGatewayRedirectConfiguration', 
               'Set-AzApplicationGatewayRequestRoutingRule', 
               'Set-AzApplicationGatewayRewriteRuleSet', 
               'Set-AzApplicationGatewayRoutingRule', 
               'Set-AzApplicationGatewaySku', 
               'Set-AzApplicationGatewaySslCertificate', 
               'Set-AzApplicationGatewaySslPolicy', 
               'Set-AzApplicationGatewaySslProfile', 
               'Set-AzApplicationGatewaySslProfilePolicy', 
               'Set-AzApplicationGatewayTrustedClientCertificate', 
               'Set-AzApplicationGatewayTrustedRootCertificate', 
               'Set-AzApplicationGatewayUrlPathMapConfig', 
               'Set-AzApplicationGatewayWebApplicationFirewallConfiguration', 
               'Set-AzBastion', 'Set-AzExpressRouteCircuit', 
               'Set-AzExpressRouteCircuitConnectionConfig', 
               'Set-AzExpressRouteCircuitPeeringConfig', 
               'Set-AzExpressRouteConnection', 'Set-AzExpressRouteCrossConnection', 
               'Set-AzExpressRouteGateway', 'Set-AzExpressRoutePort', 
               'Set-AzExpressRoutePortIdentity', 'Set-AzFirewall', 
               'Set-AzFirewallPolicy', 'Set-AzFirewallPolicyRuleCollectionGroup', 
               'Set-AzIpAllocation', 'Set-AzIpGroup', 'Set-AzLoadBalancer', 
               'Set-AzLoadBalancerBackendAddressPool', 
               'Set-AzLoadBalancerFrontendIpConfig', 
               'Set-AzLoadBalancerInboundNatPoolConfig', 
               'Set-AzLoadBalancerInboundNatRuleConfig', 
               'Set-AzLoadBalancerOutboundRuleConfig', 
               'Set-AzLoadBalancerProbeConfig', 'Set-AzLoadBalancerRuleConfig', 
               'Set-AzLocalNetworkGateway', 'Set-AzNatGateway', 
               'Set-AzNetworkInterface', 'Set-AzNetworkInterfaceIpConfig', 
               'Set-AzNetworkInterfaceTapConfig', 'Set-AzNetworkManager', 
               'Set-AzNetworkManagerConnectivityConfiguration', 
               'Set-AzNetworkManagerGroup', 
               'Set-AzNetworkManagerManagementGroupConnection', 
               'Set-AzNetworkManagerScopeConnection', 
               'Set-AzNetworkManagerSecurityAdminConfiguration', 
               'Set-AzNetworkManagerSecurityAdminRule', 
               'Set-AzNetworkManagerSecurityAdminRuleCollection', 
               'Set-AzNetworkManagerSubscriptionConnection', 
               'Set-AzNetworkProfile', 'Set-AzNetworkSecurityGroup', 
               'Set-AzNetworkSecurityRuleConfig', 
               'Set-AzNetworkWatcherConfigFlowLog', 
               'Set-AzNetworkWatcherConnectionMonitor', 
               'Set-AzNetworkWatcherFlowLog', 'Set-AzPrivateDnsZoneGroup', 
               'Set-AzPrivateEndpoint', 'Set-AzPrivateEndpointConnection', 
               'Set-AzPrivateLinkService', 'Set-AzPublicIpAddress', 
               'Set-AzPublicIpPrefix', 'Set-AzRouteConfig', 'Set-AzRouteFilter', 
               'Set-AzRouteFilterRuleConfig', 'Set-AzRouteTable', 
               'Set-AzRoutingIntent', 'Set-AzRoutingPolicy', 
               'Set-AzSecurityPartnerProvider', 'Set-AzServiceEndpointPolicy', 
               'Set-AzServiceEndpointPolicyDefinition', 'Set-AzVirtualHub', 
               'Set-AzVirtualNetwork', 'Set-AzVirtualNetworkGateway', 
               'Set-AzVirtualNetworkGatewayConnection', 
               'Set-AzVirtualNetworkGatewayConnectionSharedKey', 
               'Set-AzVirtualNetworkGatewayDefaultSite', 
               'Set-AzVirtualNetworkPeering', 'Set-AzVirtualNetworkSubnetConfig', 
               'Set-AzVirtualNetworkTap', 'Set-AzVpnClientIpsecParameter', 
               'Start-AzApplicationGateway', 
               'Start-AzNetworkWatcherConnectionMonitor', 
               'Start-AzNetworkWatcherResourceTroubleshooting', 
               'Start-AzVirtualNetworkGatewayConnectionPacketCapture', 
               'Start-AzVirtualnetworkGatewayPacketCapture', 
               'Start-AzVpnConnectionPacketCapture', 
               'Start-AzVpnGatewayPacketCapture', 'Stop-AzApplicationGateway', 
               'Stop-AzNetworkWatcherConnectionMonitor', 
               'Stop-AzNetworkWatcherPacketCapture', 
               'Stop-AzVirtualNetworkGatewayConnectionPacketCapture', 
               'Stop-AzVirtualNetworkGatewayPacketCapture', 
               'Stop-AzVpnConnectionPacketCapture', 
               'Stop-AzVpnGatewayPacketCapture', 'Sync-AzVirtualNetworkPeering', 
               'Test-AzDnsAvailability', 'Test-AzNetworkWatcherConnectivity', 
               'Test-AzNetworkWatcherIPFlow', 
               'Test-AzPrivateIPAddressAvailability', 
               'Test-AzPrivateLinkServiceVisibility', 'Update-AzCustomIpPrefix', 
               'Update-AzNetworkVirtualAppliance', 'Update-AzP2sVpnGateway', 
               'Update-AzRouteMap', 'Update-AzRouteServer', 
               'Update-AzRouteServerPeer', 'Update-AzVHubRouteTable', 
               'Update-AzVirtualApplianceSite', 'Update-AzVirtualHub', 
               'Update-AzVirtualHubBgpConnection', 
               'Update-AzVirtualHubVnetConnection', 
               'Update-AzVirtualNetworkGatewayNatRule', 'Update-AzVirtualRouter', 
               'Update-AzVirtualRouterPeer', 'Update-AzVirtualWan', 
               'Update-AzVpnConnection', 'Update-AzVpnGateway', 
               'Update-AzVpnGatewayNatRule', 'Update-AzVpnServerConfiguration', 
               'Update-AzVpnServerConfigurationPolicyGroup', 'Update-AzVpnSite'

# Variables to export from this module
# VariablesToExport = @()

# Aliases to export from this module, for best performance, do not use wildcards and do not delete the entry, use an empty array if there are no aliases to export.
AliasesToExport = 'Add-AzApplicationGatewayBackendHttpSettings', 
               'Get-AzApplicationGatewayAvailableSslOptions', 
               'Get-AzApplicationGatewayAvailableWafRuleSets', 
               'Get-AzApplicationGatewayBackendHttpSettings', 
               'Get-AzExpressRouteCircuitStats', 'Get-AzInterfaceEndpoint', 
               'List-AzApplicationGatewayAvailableServerVariableAndHeader', 
               'List-AzApplicationGatewayAvailableSslOptions', 
               'List-AzApplicationGatewayAvailableWafRuleSets', 
               'List-AzApplicationGatewaySslPredefinedPolicy', 
               'New-AzApplicationGatewayBackendHttpSettings', 
               'New-AzFirewallThreatIntelWhitelistObject', 
               'Remove-AzApplicationGatewayBackendHttpSettings', 
               'Set-AzApplicationGatewayBackendHttpSettings'

# DSC resources to export from this module
# DscResourcesToExport = @()

# List of all modules packaged with this module
# ModuleList = @()

# List of all files packaged with this module
# FileList = @()

# Private data to pass to the module specified in RootModule/ModuleToProcess. This may also contain a PSData hashtable with additional module metadata used by PowerShell.
PrivateData = @{

    PSData = @{

        # Tags applied to this module. These help with module discovery in online galleries.
        Tags = 'Azure','ResourceManager','ARM','Network','VirtualNetwork'

        # A URL to the license for this module.
        LicenseUri = 'https://aka.ms/azps-license'

        # A URL to the main website for this project.
        ProjectUri = 'https://github.com/Azure/azure-powershell'

        # A URL to an icon representing this module.
        # IconUri = ''

        # ReleaseNotes of this module
        ReleaseNotes = '* Fixed a few minor issues
* Onboarded ''Microsoft.DBforPostgreSQL/flexibleServers'' to private link cmdlets
* Fixed missing properties in PSBackendAddressPool'

        # Prerelease string of this module
        # Prerelease = ''

        # Flag to indicate whether the module requires explicit user acceptance for install/update/save
        # RequireLicenseAcceptance = $false

        # External dependent modules of this module
        # ExternalModuleDependencies = @()

    } # End of PSData hashtable

 } # End of PrivateData hashtable

# HelpInfo URI of this module
# HelpInfoURI = ''

# Default prefix for commands exported from this module. Override the default prefix using Import-Module -Prefix.
# DefaultCommandPrefix = ''

}


# SIG # Begin signature block
# MIIoKgYJKoZIhvcNAQcCoIIoGzCCKBcCAQExDzANBglghkgBZQMEAgEFADB5Bgor
# BgEEAYI3AgEEoGswaTA0BgorBgEEAYI3AgEeMCYCAwEAAAQQH8w7YFlLCE63JNLG
# KX7zUQIBAAIBAAIBAAIBAAIBADAxMA0GCWCGSAFlAwQCAQUABCDQ4lD9IdI6paGS
# 6l5uwdOCjAF0Bt3JaNWW/LNaNlQhJKCCDXYwggX0MIID3KADAgECAhMzAAADrzBA
# DkyjTQVBAAAAAAOvMA0GCSqGSIb3DQEBCwUAMH4xCzAJBgNVBAYTAlVTMRMwEQYD
# VQQIEwpXYXNoaW5ndG9uMRAwDgYDVQQHEwdSZWRtb25kMR4wHAYDVQQKExVNaWNy
# b3NvZnQgQ29ycG9yYXRpb24xKDAmBgNVBAMTH01pY3Jvc29mdCBDb2RlIFNpZ25p
# bmcgUENBIDIwMTEwHhcNMjMxMTE2MTkwOTAwWhcNMjQxMTE0MTkwOTAwWjB0MQsw
# CQYDVQQGEwJVUzETMBEGA1UECBMKV2FzaGluZ3RvbjEQMA4GA1UEBxMHUmVkbW9u
# ZDEeMBwGA1UEChMVTWljcm9zb2Z0IENvcnBvcmF0aW9uMR4wHAYDVQQDExVNaWNy
# b3NvZnQgQ29ycG9yYXRpb24wggEiMA0GCSqGSIb3DQEBAQUAA4IBDwAwggEKAoIB
# AQDOS8s1ra6f0YGtg0OhEaQa/t3Q+q1MEHhWJhqQVuO5amYXQpy8MDPNoJYk+FWA
# hePP5LxwcSge5aen+f5Q6WNPd6EDxGzotvVpNi5ve0H97S3F7C/axDfKxyNh21MG
# 0W8Sb0vxi/vorcLHOL9i+t2D6yvvDzLlEefUCbQV/zGCBjXGlYJcUj6RAzXyeNAN
# xSpKXAGd7Fh+ocGHPPphcD9LQTOJgG7Y7aYztHqBLJiQQ4eAgZNU4ac6+8LnEGAL
# go1ydC5BJEuJQjYKbNTy959HrKSu7LO3Ws0w8jw6pYdC1IMpdTkk2puTgY2PDNzB
# tLM4evG7FYer3WX+8t1UMYNTAgMBAAGjggFzMIIBbzAfBgNVHSUEGDAWBgorBgEE
# AYI3TAgBBggrBgEFBQcDAzAdBgNVHQ4EFgQURxxxNPIEPGSO8kqz+bgCAQWGXsEw
# RQYDVR0RBD4wPKQ6MDgxHjAcBgNVBAsTFU1pY3Jvc29mdCBDb3Jwb3JhdGlvbjEW
# MBQGA1UEBRMNMjMwMDEyKzUwMTgyNjAfBgNVHSMEGDAWgBRIbmTlUAXTgqoXNzci
# tW2oynUClTBUBgNVHR8ETTBLMEmgR6BFhkNodHRwOi8vd3d3Lm1pY3Jvc29mdC5j
# b20vcGtpb3BzL2NybC9NaWNDb2RTaWdQQ0EyMDExXzIwMTEtMDctMDguY3JsMGEG
# CCsGAQUFBwEBBFUwUzBRBggrBgEFBQcwAoZFaHR0cDovL3d3dy5taWNyb3NvZnQu
# Y29tL3BraW9wcy9jZXJ0cy9NaWNDb2RTaWdQQ0EyMDExXzIwMTEtMDctMDguY3J0
# MAwGA1UdEwEB/wQCMAAwDQYJKoZIhvcNAQELBQADggIBAISxFt/zR2frTFPB45Yd
# mhZpB2nNJoOoi+qlgcTlnO4QwlYN1w/vYwbDy/oFJolD5r6FMJd0RGcgEM8q9TgQ
# 2OC7gQEmhweVJ7yuKJlQBH7P7Pg5RiqgV3cSonJ+OM4kFHbP3gPLiyzssSQdRuPY
# 1mIWoGg9i7Y4ZC8ST7WhpSyc0pns2XsUe1XsIjaUcGu7zd7gg97eCUiLRdVklPmp
# XobH9CEAWakRUGNICYN2AgjhRTC4j3KJfqMkU04R6Toyh4/Toswm1uoDcGr5laYn
# TfcX3u5WnJqJLhuPe8Uj9kGAOcyo0O1mNwDa+LhFEzB6CB32+wfJMumfr6degvLT
# e8x55urQLeTjimBQgS49BSUkhFN7ois3cZyNpnrMca5AZaC7pLI72vuqSsSlLalG
# OcZmPHZGYJqZ0BacN274OZ80Q8B11iNokns9Od348bMb5Z4fihxaBWebl8kWEi2O
# PvQImOAeq3nt7UWJBzJYLAGEpfasaA3ZQgIcEXdD+uwo6ymMzDY6UamFOfYqYWXk
# ntxDGu7ngD2ugKUuccYKJJRiiz+LAUcj90BVcSHRLQop9N8zoALr/1sJuwPrVAtx
# HNEgSW+AKBqIxYWM4Ev32l6agSUAezLMbq5f3d8x9qzT031jMDT+sUAoCw0M5wVt
# CUQcqINPuYjbS1WgJyZIiEkBMIIHejCCBWKgAwIBAgIKYQ6Q0gAAAAAAAzANBgkq
# hkiG9w0BAQsFADCBiDELMAkGA1UEBhMCVVMxEzARBgNVBAgTCldhc2hpbmd0b24x
# EDAOBgNVBAcTB1JlZG1vbmQxHjAcBgNVBAoTFU1pY3Jvc29mdCBDb3Jwb3JhdGlv
# bjEyMDAGA1UEAxMpTWljcm9zb2Z0IFJvb3QgQ2VydGlmaWNhdGUgQXV0aG9yaXR5
# IDIwMTEwHhcNMTEwNzA4MjA1OTA5WhcNMjYwNzA4MjEwOTA5WjB+MQswCQYDVQQG
# EwJVUzETMBEGA1UECBMKV2FzaGluZ3RvbjEQMA4GA1UEBxMHUmVkbW9uZDEeMBwG
# A1UEChMVTWljcm9zb2Z0IENvcnBvcmF0aW9uMSgwJgYDVQQDEx9NaWNyb3NvZnQg
# Q29kZSBTaWduaW5nIFBDQSAyMDExMIICIjANBgkqhkiG9w0BAQEFAAOCAg8AMIIC
# CgKCAgEAq/D6chAcLq3YbqqCEE00uvK2WCGfQhsqa+laUKq4BjgaBEm6f8MMHt03
# a8YS2AvwOMKZBrDIOdUBFDFC04kNeWSHfpRgJGyvnkmc6Whe0t+bU7IKLMOv2akr
# rnoJr9eWWcpgGgXpZnboMlImEi/nqwhQz7NEt13YxC4Ddato88tt8zpcoRb0Rrrg
# OGSsbmQ1eKagYw8t00CT+OPeBw3VXHmlSSnnDb6gE3e+lD3v++MrWhAfTVYoonpy
# 4BI6t0le2O3tQ5GD2Xuye4Yb2T6xjF3oiU+EGvKhL1nkkDstrjNYxbc+/jLTswM9
# sbKvkjh+0p2ALPVOVpEhNSXDOW5kf1O6nA+tGSOEy/S6A4aN91/w0FK/jJSHvMAh
# dCVfGCi2zCcoOCWYOUo2z3yxkq4cI6epZuxhH2rhKEmdX4jiJV3TIUs+UsS1Vz8k
# A/DRelsv1SPjcF0PUUZ3s/gA4bysAoJf28AVs70b1FVL5zmhD+kjSbwYuER8ReTB
# w3J64HLnJN+/RpnF78IcV9uDjexNSTCnq47f7Fufr/zdsGbiwZeBe+3W7UvnSSmn
# Eyimp31ngOaKYnhfsi+E11ecXL93KCjx7W3DKI8sj0A3T8HhhUSJxAlMxdSlQy90
# lfdu+HggWCwTXWCVmj5PM4TasIgX3p5O9JawvEagbJjS4NaIjAsCAwEAAaOCAe0w
# ggHpMBAGCSsGAQQBgjcVAQQDAgEAMB0GA1UdDgQWBBRIbmTlUAXTgqoXNzcitW2o
# ynUClTAZBgkrBgEEAYI3FAIEDB4KAFMAdQBiAEMAQTALBgNVHQ8EBAMCAYYwDwYD
# VR0TAQH/BAUwAwEB/zAfBgNVHSMEGDAWgBRyLToCMZBDuRQFTuHqp8cx0SOJNDBa
# BgNVHR8EUzBRME+gTaBLhklodHRwOi8vY3JsLm1pY3Jvc29mdC5jb20vcGtpL2Ny
# bC9wcm9kdWN0cy9NaWNSb29DZXJBdXQyMDExXzIwMTFfMDNfMjIuY3JsMF4GCCsG
# AQUFBwEBBFIwUDBOBggrBgEFBQcwAoZCaHR0cDovL3d3dy5taWNyb3NvZnQuY29t
# L3BraS9jZXJ0cy9NaWNSb29DZXJBdXQyMDExXzIwMTFfMDNfMjIuY3J0MIGfBgNV
# HSAEgZcwgZQwgZEGCSsGAQQBgjcuAzCBgzA/BggrBgEFBQcCARYzaHR0cDovL3d3
# dy5taWNyb3NvZnQuY29tL3BraW9wcy9kb2NzL3ByaW1hcnljcHMuaHRtMEAGCCsG
# AQUFBwICMDQeMiAdAEwAZQBnAGEAbABfAHAAbwBsAGkAYwB5AF8AcwB0AGEAdABl
# AG0AZQBuAHQALiAdMA0GCSqGSIb3DQEBCwUAA4ICAQBn8oalmOBUeRou09h0ZyKb
# C5YR4WOSmUKWfdJ5DJDBZV8uLD74w3LRbYP+vj/oCso7v0epo/Np22O/IjWll11l
# hJB9i0ZQVdgMknzSGksc8zxCi1LQsP1r4z4HLimb5j0bpdS1HXeUOeLpZMlEPXh6
# I/MTfaaQdION9MsmAkYqwooQu6SpBQyb7Wj6aC6VoCo/KmtYSWMfCWluWpiW5IP0
# wI/zRive/DvQvTXvbiWu5a8n7dDd8w6vmSiXmE0OPQvyCInWH8MyGOLwxS3OW560
# STkKxgrCxq2u5bLZ2xWIUUVYODJxJxp/sfQn+N4sOiBpmLJZiWhub6e3dMNABQam
# ASooPoI/E01mC8CzTfXhj38cbxV9Rad25UAqZaPDXVJihsMdYzaXht/a8/jyFqGa
# J+HNpZfQ7l1jQeNbB5yHPgZ3BtEGsXUfFL5hYbXw3MYbBL7fQccOKO7eZS/sl/ah
# XJbYANahRr1Z85elCUtIEJmAH9AAKcWxm6U/RXceNcbSoqKfenoi+kiVH6v7RyOA
# 9Z74v2u3S5fi63V4GuzqN5l5GEv/1rMjaHXmr/r8i+sLgOppO6/8MO0ETI7f33Vt
# Y5E90Z1WTk+/gFcioXgRMiF670EKsT/7qMykXcGhiJtXcVZOSEXAQsmbdlsKgEhr
# /Xmfwb1tbWrJUnMTDXpQzTGCGgowghoGAgEBMIGVMH4xCzAJBgNVBAYTAlVTMRMw
# EQYDVQQIEwpXYXNoaW5ndG9uMRAwDgYDVQQHEwdSZWRtb25kMR4wHAYDVQQKExVN
# aWNyb3NvZnQgQ29ycG9yYXRpb24xKDAmBgNVBAMTH01pY3Jvc29mdCBDb2RlIFNp
# Z25pbmcgUENBIDIwMTECEzMAAAOvMEAOTKNNBUEAAAAAA68wDQYJYIZIAWUDBAIB
# BQCgga4wGQYJKoZIhvcNAQkDMQwGCisGAQQBgjcCAQQwHAYKKwYBBAGCNwIBCzEO
# MAwGCisGAQQBgjcCARUwLwYJKoZIhvcNAQkEMSIEIOuS5Oiz8H+lUU9LY2FYKQR8
# 9gk7V4QmdqH9msYdfpmCMEIGCisGAQQBgjcCAQwxNDAyoBSAEgBNAGkAYwByAG8A
# cwBvAGYAdKEagBhodHRwOi8vd3d3Lm1pY3Jvc29mdC5jb20wDQYJKoZIhvcNAQEB
# BQAEggEAL9IX+6nIZ4+V7vJU+clv6DyYB4BZ+gXPO7CTjT1FF/xRYQBMqSq/7Iuq
# sSIhpISgur5RNYfnJ21Ws+7SnslefcoIuDnd00AA+2gC7yVH/39JsX60kvIaQlyi
# ATH0vjj2YUBVcRoFzzXLd9sLWPoDL5CpEQqhCl8k9SVxlaUENsCMl51qFxU7BMjx
# ypZ4jWayTbGsZxXvL8a9zMv0W7lcwFXwoEhXfLVYmd4vumiIhgIHVINktOln3NZM
# ehdmYieD+MfuHy4TiD7tRpCJmr6smGY8xTfqvkq3luYpdgLg6nhh38uwZkbVxXYd
# O0BIdQpjK6y54RLHjlrVyFiG8x3IxaGCF5QwgheQBgorBgEEAYI3AwMBMYIXgDCC
# F3wGCSqGSIb3DQEHAqCCF20wghdpAgEDMQ8wDQYJYIZIAWUDBAIBBQAwggFSBgsq
# hkiG9w0BCRABBKCCAUEEggE9MIIBOQIBAQYKKwYBBAGEWQoDATAxMA0GCWCGSAFl
# AwQCAQUABCD2vL+zH5CGQWQ/5IHF6fo2Df82vODEVE6LM/5Ub1x1SgIGZXsgTzab
# GBMyMDIzMTIyNzA2NTU0MS4wMThaMASAAgH0oIHRpIHOMIHLMQswCQYDVQQGEwJV
# UzETMBEGA1UECBMKV2FzaGluZ3RvbjEQMA4GA1UEBxMHUmVkbW9uZDEeMBwGA1UE
# ChMVTWljcm9zb2Z0IENvcnBvcmF0aW9uMSUwIwYDVQQLExxNaWNyb3NvZnQgQW1l
# cmljYSBPcGVyYXRpb25zMScwJQYDVQQLEx5uU2hpZWxkIFRTUyBFU046RjAwMi0w
# NUUwLUQ5NDcxJTAjBgNVBAMTHE1pY3Jvc29mdCBUaW1lLVN0YW1wIFNlcnZpY2Wg
# ghHqMIIHIDCCBQigAwIBAgITMwAAAc4PGPdFl+fG/wABAAABzjANBgkqhkiG9w0B
# AQsFADB8MQswCQYDVQQGEwJVUzETMBEGA1UECBMKV2FzaGluZ3RvbjEQMA4GA1UE
# BxMHUmVkbW9uZDEeMBwGA1UEChMVTWljcm9zb2Z0IENvcnBvcmF0aW9uMSYwJAYD
# VQQDEx1NaWNyb3NvZnQgVGltZS1TdGFtcCBQQ0EgMjAxMDAeFw0yMzA1MjUxOTEy
# MDhaFw0yNDAyMDExOTEyMDhaMIHLMQswCQYDVQQGEwJVUzETMBEGA1UECBMKV2Fz
# aGluZ3RvbjEQMA4GA1UEBxMHUmVkbW9uZDEeMBwGA1UEChMVTWljcm9zb2Z0IENv
# cnBvcmF0aW9uMSUwIwYDVQQLExxNaWNyb3NvZnQgQW1lcmljYSBPcGVyYXRpb25z
# MScwJQYDVQQLEx5uU2hpZWxkIFRTUyBFU046RjAwMi0wNUUwLUQ5NDcxJTAjBgNV
# BAMTHE1pY3Jvc29mdCBUaW1lLVN0YW1wIFNlcnZpY2UwggIiMA0GCSqGSIb3DQEB
# AQUAA4ICDwAwggIKAoICAQC5CkwZ1yjYx3fnKTw/VnzwGGhKOIjqMDSuHdGg8JoJ
# 2LN2nBUUkAwxhYAR4ZQWg9QbjxZ/DWrD2xeUwLnKOKNDNthX9vaKj+X5Ctxi6ioT
# VU7UB5oQ4wGpkV2kmfnp0RYGdhtc58AaoUZFcvhdBlJ2yETwuCuEV6pk4J7ghGym
# szr0HVqR9B2MJjV8rePL+HGIzIbYLrk0jWmaKRRPsFfxKKw3njFgFlSqaBA4SVuV
# 0FYE/4t0Z9UjXUPLqw+iDeLUv3sp3h9M4oNIZ216VPlVlf3FOFRLlZg8eCeX4xla
# BjWia95nXlXMXQWqaIwkgN4TsRzymgeWuVzMpRPBWk6gOjzxwXnjIcWqx1lPznIS
# v/xtn1HpB+CIF5SPKkCf8lCPiZ1EtB01FzHRj+YhRWJjsRl1gLW1i0ELrrWVAFrD
# PrIshBKoz6SUAyKD7yPx649SyLGBo/vJHxZgMlYirckf9eklprNDeoslhreIYzAJ
# rMJ+YoWn9Dxmg/7hGC/XH8eljmJqBLqyHCmdgS+WArj84ciRGsmqRaUB/4hFGUkL
# v1Ga2vEPtVByUmjHcAppJR1POmi1ATV9FusOQQxkD2nXWSKWfKApD7tGfNZMRvku
# fHFwGf5NnN0Aim0ljBg1O5gs43Fok/uSe12zQL0hSP9Jf+iCL+NPTPAPJPEsbdYa
# vQIDAQABo4IBSTCCAUUwHQYDVR0OBBYEFDD7CEZAo5MMjpl+FWTsUyn54oXFMB8G
# A1UdIwQYMBaAFJ+nFV0AXmJdg/Tl0mWnG1M1GelyMF8GA1UdHwRYMFYwVKBSoFCG
# Tmh0dHA6Ly93d3cubWljcm9zb2Z0LmNvbS9wa2lvcHMvY3JsL01pY3Jvc29mdCUy
# MFRpbWUtU3RhbXAlMjBQQ0ElMjAyMDEwKDEpLmNybDBsBggrBgEFBQcBAQRgMF4w
# XAYIKwYBBQUHMAKGUGh0dHA6Ly93d3cubWljcm9zb2Z0LmNvbS9wa2lvcHMvY2Vy
# dHMvTWljcm9zb2Z0JTIwVGltZS1TdGFtcCUyMFBDQSUyMDIwMTAoMSkuY3J0MAwG
# A1UdEwEB/wQCMAAwFgYDVR0lAQH/BAwwCgYIKwYBBQUHAwgwDgYDVR0PAQH/BAQD
# AgeAMA0GCSqGSIb3DQEBCwUAA4ICAQCXIBYW/0UVTDDZO/fQ2XstNC4DZG8RPbrl
# ZHyFt57z/VWqPut6rugayGW1UcvJuxf8REtiTtmf5SQ5N2pu0nTl6O4BtScIvM/K
# 8pe/yj77x8u6vfk8Q6SDOZoFpIpVkFH3y67isf4/SfoN9M2nLb93po/OtlM9AcWT
# JbqunzC+kmeLcxJmCxLcsiBMJ6ZTvSNWQnicgMuv7PF0ip9HYjzFWoNq8qnrs7g+
# +YGPXU7epl1KSBTr9UR7Hn/kNcqCiZf22DhoZPVP7+vZHTY+OXoxoEEOnzAbAlBC
# up/wbXNJissiK8ZyRJXT/R4FVmE22CSvpu+p5MeRlBT42pkIhhMlqXlsdQdT9cWI
# tiW8yWRpaE1ZI1my9FW8JM9DtCQti3ZuGHSNpvm4QAY/61ryrKol4RLf5F+SAl4o
# zVvM8PKMeRdEmo2wOzZK4ME7D7iHzLcYp5ucw0kgsy396faczsXdnLSomXMArstG
# kHvt/F3hq2eESQ2PgrX+gpdBo8uPV16ywmnpAwYqMdZM+yH6B//4MsXEu3Rg5QOo
# OWdjNVB7Qm6MPJg+vDX59XvMmibAzbplxIyp7S1ky7L+g3hq6KxlKQ9abUjYpaOF
# nHtKDFJ+vxzncEMVEV3IHQdjC7urqOBgO7vypeIwjQ689qu2NNuIQ6cZZgMn8EvS
# SWRwDG8giTCCB3EwggVZoAMCAQICEzMAAAAVxedrngKbSZkAAAAAABUwDQYJKoZI
# hvcNAQELBQAwgYgxCzAJBgNVBAYTAlVTMRMwEQYDVQQIEwpXYXNoaW5ndG9uMRAw
# DgYDVQQHEwdSZWRtb25kMR4wHAYDVQQKExVNaWNyb3NvZnQgQ29ycG9yYXRpb24x
# MjAwBgNVBAMTKU1pY3Jvc29mdCBSb290IENlcnRpZmljYXRlIEF1dGhvcml0eSAy
# MDEwMB4XDTIxMDkzMDE4MjIyNVoXDTMwMDkzMDE4MzIyNVowfDELMAkGA1UEBhMC
# VVMxEzARBgNVBAgTCldhc2hpbmd0b24xEDAOBgNVBAcTB1JlZG1vbmQxHjAcBgNV
# BAoTFU1pY3Jvc29mdCBDb3Jwb3JhdGlvbjEmMCQGA1UEAxMdTWljcm9zb2Z0IFRp
# bWUtU3RhbXAgUENBIDIwMTAwggIiMA0GCSqGSIb3DQEBAQUAA4ICDwAwggIKAoIC
# AQDk4aZM57RyIQt5osvXJHm9DtWC0/3unAcH0qlsTnXIyjVX9gF/bErg4r25Phdg
# M/9cT8dm95VTcVrifkpa/rg2Z4VGIwy1jRPPdzLAEBjoYH1qUoNEt6aORmsHFPPF
# dvWGUNzBRMhxXFExN6AKOG6N7dcP2CZTfDlhAnrEqv1yaa8dq6z2Nr41JmTamDu6
# GnszrYBbfowQHJ1S/rboYiXcag/PXfT+jlPP1uyFVk3v3byNpOORj7I5LFGc6XBp
# Dco2LXCOMcg1KL3jtIckw+DJj361VI/c+gVVmG1oO5pGve2krnopN6zL64NF50Zu
# yjLVwIYwXE8s4mKyzbnijYjklqwBSru+cakXW2dg3viSkR4dPf0gz3N9QZpGdc3E
# XzTdEonW/aUgfX782Z5F37ZyL9t9X4C626p+Nuw2TPYrbqgSUei/BQOj0XOmTTd0
# lBw0gg/wEPK3Rxjtp+iZfD9M269ewvPV2HM9Q07BMzlMjgK8QmguEOqEUUbi0b1q
# GFphAXPKZ6Je1yh2AuIzGHLXpyDwwvoSCtdjbwzJNmSLW6CmgyFdXzB0kZSU2LlQ
# +QuJYfM2BjUYhEfb3BvR/bLUHMVr9lxSUV0S2yW6r1AFemzFER1y7435UsSFF5PA
# PBXbGjfHCBUYP3irRbb1Hode2o+eFnJpxq57t7c+auIurQIDAQABo4IB3TCCAdkw
# EgYJKwYBBAGCNxUBBAUCAwEAATAjBgkrBgEEAYI3FQIEFgQUKqdS/mTEmr6CkTxG
# NSnPEP8vBO4wHQYDVR0OBBYEFJ+nFV0AXmJdg/Tl0mWnG1M1GelyMFwGA1UdIARV
# MFMwUQYMKwYBBAGCN0yDfQEBMEEwPwYIKwYBBQUHAgEWM2h0dHA6Ly93d3cubWlj
# cm9zb2Z0LmNvbS9wa2lvcHMvRG9jcy9SZXBvc2l0b3J5Lmh0bTATBgNVHSUEDDAK
# BggrBgEFBQcDCDAZBgkrBgEEAYI3FAIEDB4KAFMAdQBiAEMAQTALBgNVHQ8EBAMC
# AYYwDwYDVR0TAQH/BAUwAwEB/zAfBgNVHSMEGDAWgBTV9lbLj+iiXGJo0T2UkFvX
# zpoYxDBWBgNVHR8ETzBNMEugSaBHhkVodHRwOi8vY3JsLm1pY3Jvc29mdC5jb20v
# cGtpL2NybC9wcm9kdWN0cy9NaWNSb29DZXJBdXRfMjAxMC0wNi0yMy5jcmwwWgYI
# KwYBBQUHAQEETjBMMEoGCCsGAQUFBzAChj5odHRwOi8vd3d3Lm1pY3Jvc29mdC5j
# b20vcGtpL2NlcnRzL01pY1Jvb0NlckF1dF8yMDEwLTA2LTIzLmNydDANBgkqhkiG
# 9w0BAQsFAAOCAgEAnVV9/Cqt4SwfZwExJFvhnnJL/Klv6lwUtj5OR2R4sQaTlz0x
# M7U518JxNj/aZGx80HU5bbsPMeTCj/ts0aGUGCLu6WZnOlNN3Zi6th542DYunKmC
# VgADsAW+iehp4LoJ7nvfam++Kctu2D9IdQHZGN5tggz1bSNU5HhTdSRXud2f8449
# xvNo32X2pFaq95W2KFUn0CS9QKC/GbYSEhFdPSfgQJY4rPf5KYnDvBewVIVCs/wM
# nosZiefwC2qBwoEZQhlSdYo2wh3DYXMuLGt7bj8sCXgU6ZGyqVvfSaN0DLzskYDS
# PeZKPmY7T7uG+jIa2Zb0j/aRAfbOxnT99kxybxCrdTDFNLB62FD+CljdQDzHVG2d
# Y3RILLFORy3BFARxv2T5JL5zbcqOCb2zAVdJVGTZc9d/HltEAY5aGZFrDZ+kKNxn
# GSgkujhLmm77IVRrakURR6nxt67I6IleT53S0Ex2tVdUCbFpAUR+fKFhbHP+Crvs
# QWY9af3LwUFJfn6Tvsv4O+S3Fb+0zj6lMVGEvL8CwYKiexcdFYmNcP7ntdAoGokL
# jzbaukz5m/8K6TT4JDVnK+ANuOaMmdbhIurwJ0I9JZTmdHRbatGePu1+oDEzfbzL
# 6Xu/OHBE0ZDxyKs6ijoIYn/ZcGNTTY3ugm2lBRDBcQZqELQdVTNYs6FwZvKhggNN
# MIICNQIBATCB+aGB0aSBzjCByzELMAkGA1UEBhMCVVMxEzARBgNVBAgTCldhc2hp
# bmd0b24xEDAOBgNVBAcTB1JlZG1vbmQxHjAcBgNVBAoTFU1pY3Jvc29mdCBDb3Jw
# b3JhdGlvbjElMCMGA1UECxMcTWljcm9zb2Z0IEFtZXJpY2EgT3BlcmF0aW9uczEn
# MCUGA1UECxMeblNoaWVsZCBUU1MgRVNOOkYwMDItMDVFMC1EOTQ3MSUwIwYDVQQD
# ExxNaWNyb3NvZnQgVGltZS1TdGFtcCBTZXJ2aWNloiMKAQEwBwYFKw4DAhoDFQBd
# jZUbFNAyCkVE6DdVWyizTYQHzKCBgzCBgKR+MHwxCzAJBgNVBAYTAlVTMRMwEQYD
# VQQIEwpXYXNoaW5ndG9uMRAwDgYDVQQHEwdSZWRtb25kMR4wHAYDVQQKExVNaWNy
# b3NvZnQgQ29ycG9yYXRpb24xJjAkBgNVBAMTHU1pY3Jvc29mdCBUaW1lLVN0YW1w
# IFBDQSAyMDEwMA0GCSqGSIb3DQEBCwUAAgUA6TYZEzAiGA8yMDIzMTIyNzAzMzEz
# MVoYDzIwMjMxMjI4MDMzMTMxWjB0MDoGCisGAQQBhFkKBAExLDAqMAoCBQDpNhkT
# AgEAMAcCAQACAiQqMAcCAQACAhMXMAoCBQDpN2qTAgEAMDYGCisGAQQBhFkKBAIx
# KDAmMAwGCisGAQQBhFkKAwKgCjAIAgEAAgMHoSChCjAIAgEAAgMBhqAwDQYJKoZI
# hvcNAQELBQADggEBAOCvq+E9Hmo7zTDCrC2ZGBOF9n4DtXV2STdxj3WR9gIZU4Gg
# f3n5SDS1anqfY9QVhgUQ3DkbBHwRH7LT0cvYLgvUEBfFmxkPGR28JN7J/c/pxYu1
# xWkAm6jkUnl2mLbcVSGNSzmsAi2mTb21+uTIdsT7ANH7F5OV0Lwq7JDTpKLd9NLd
# B02Xx+ZXepJoPW0foo6dHvkhC3n6KoCXkhPiu9QRQh1492rTp16xE96Xsp9g5K0Z
# FD/Kdovf0gskGdj5HEufWxmOsjnunhJaQJT/ZEZYJzkIFpFo2IxtCyR8vTIaNK04
# eyKR3j2zwnXMwVgX3wECWp3HpvBZKTXchjcNFmoxggQNMIIECQIBATCBkzB8MQsw
# CQYDVQQGEwJVUzETMBEGA1UECBMKV2FzaGluZ3RvbjEQMA4GA1UEBxMHUmVkbW9u
# ZDEeMBwGA1UEChMVTWljcm9zb2Z0IENvcnBvcmF0aW9uMSYwJAYDVQQDEx1NaWNy
# b3NvZnQgVGltZS1TdGFtcCBQQ0EgMjAxMAITMwAAAc4PGPdFl+fG/wABAAABzjAN
# BglghkgBZQMEAgEFAKCCAUowGgYJKoZIhvcNAQkDMQ0GCyqGSIb3DQEJEAEEMC8G
# CSqGSIb3DQEJBDEiBCCJKNO+qYOhpT2ZaQd4YUJx4r2AP7lv8x/Qp2OQvrzRCjCB
# +gYLKoZIhvcNAQkQAi8xgeowgecwgeQwgb0EIDJsz0F6L0XDUm53JRBfNMZszKsl
# lLDMiaFZ3PL/LqxnMIGYMIGApH4wfDELMAkGA1UEBhMCVVMxEzARBgNVBAgTCldh
# c2hpbmd0b24xEDAOBgNVBAcTB1JlZG1vbmQxHjAcBgNVBAoTFU1pY3Jvc29mdCBD
# b3Jwb3JhdGlvbjEmMCQGA1UEAxMdTWljcm9zb2Z0IFRpbWUtU3RhbXAgUENBIDIw
# MTACEzMAAAHODxj3RZfnxv8AAQAAAc4wIgQgxapBf/JT3vkJGAW37tnbcjZH0tVp
# RLr7kStm8xrG0wEwDQYJKoZIhvcNAQELBQAEggIAeUh8YhFTRXQPhOQ+zMAJX5kL
# DIZgNN71xj7ywu0kaXlgv67Oyw+nqatJJ47ksnc8iM0hXjuqpslCjZKzdLI/PRdD
# zuxvk4Qrkzs8SjUuNfh3X7EcJcs3hprpdsjR9/b3jtjE2D+KgnNFZRUMPUB9iR3s
# p1rgLqr2IYFrddlAf5cdCB26GA857Mf2+Q4sP/5LZ7w1NcCxgCEspynGUX5nv8Jf
# aYDCma05uwkQKZ692mc+nH1Tf+pW1kJXgqdpDWEHqjjHJ0/Q4t1MuJcbaUCtI8Lm
# IDqHGUF0Jv5Wzjx/e/50PxGnjEVxAB0M3DSGQ2PMJI84iwwOU5GbaQ5X+Cd+Jyx+
# LATbeYKyxOf6F5ke4xRxXsryzAnoxEyq+4mYgPO8eh4RSwaHwf2fK/E2yY+Un1Em
# 0cZAxU6qHfCs6P3cXjih9KB2JiFbQIqqDEz2it8WxVFPSDqQivnfq2W/sJc1ZoV/
# 58H2kf/En35YnlFbWOXmWsyFs7xchv/YEnc7PjcEWUIutg4m5EOm1K/kx1LrIwZf
# MzVXluvG5ewQnCkqnredVuC5oX3rgiHwIrnjpqADk2oFcH+woGz0oR1/ikpFY4u8
# eDm9sY0Exapjz6+1AvwDGJb/Yh4P5TGnUybvDValCmJcMLj6s/XH5y7/d9Oo9uGM
# EyFAFkdS1EPtIMvQONw=
# SIG # End signature block
