#
# Module manifest for module 'Az.Sql'
#
# Generated by: Microsoft Corporation
#
# Generated on: 12/27/2023
#

@{

# Script module or binary module file associated with this manifest.
RootModule = 'Az.Sql.psm1'

# Version number of this module.
ModuleVersion = '4.13.0'

# Supported PSEditions
CompatiblePSEditions = 'Core', 'Desktop'

# ID used to uniquely identify this module
GUID = 'f088f4ab-1b59-4836-a6e0-4e14d15800c6'

# Author of this module
Author = 'Microsoft Corporation'

# Company or vendor of this module
CompanyName = 'Microsoft Corporation'

# Copyright statement for this module
Copyright = 'Microsoft Corporation. All rights reserved.'

# Description of the functionality provided by this module
Description = 'Microsoft Azure PowerShell - SQL service cmdlets for Azure Resource Manager in Windows PowerShell and PowerShell Core.

For more information on SQL, please visit the following: https://learn.microsoft.com/azure/sql-database/'

# Minimum version of the PowerShell engine required by this module
PowerShellVersion = '5.1'

# Name of the PowerShell host required by this module
# PowerShellHostName = ''

# Minimum version of the PowerShell host required by this module
# PowerShellHostVersion = ''

# Minimum version of Microsoft .NET Framework required by this module. This prerequisite is valid for the PowerShell Desktop edition only.
DotNetFrameworkVersion = '4.7.2'

# Minimum version of the common language runtime (CLR) required by this module. This prerequisite is valid for the PowerShell Desktop edition only.
# ClrVersion = ''

# Processor architecture (None, X86, Amd64) required by this module
# ProcessorArchitecture = ''

# Modules that must be imported into the global environment prior to importing this module
RequiredModules = @()

# Assemblies that must be loaded prior to importing this module
RequiredAssemblies = 'Microsoft.Azure.PowerShell.Cmdlets.Sql.LegacySdk.dll', 
               'Microsoft.Azure.PowerShell.Sql.Management.Sdk.dll'

# Script files (.ps1) that are run in the caller's environment prior to importing this module.
# ScriptsToProcess = @()

# Type files (.ps1xml) to be loaded when importing this module
TypesToProcess = 'Sql.types.ps1xml'

# Format files (.ps1xml) to be loaded when importing this module
FormatsToProcess = 'Sql.format.ps1xml'

# Modules to import as nested modules of the module specified in RootModule/ModuleToProcess
NestedModules = @()

# Functions to export from this module, for best performance, do not use wildcards and do not delete the entry, use an empty array if there are no functions to export.
FunctionsToExport = @()

# Cmdlets to export from this module, for best performance, do not use wildcards and do not delete the entry, use an empty array if there are no cmdlets to export.
CmdletsToExport = 'Add-AzSqlDatabaseToFailoverGroup', 'Add-AzSqlElasticJobStep', 
               'Add-AzSqlElasticJobTarget', 'Add-AzSqlInstanceKeyVaultKey', 
               'Add-AzSqlManagedInstanceTransparentDataEncryptionCertificate', 
               'Add-AzSqlServerKeyVaultKey', 
               'Add-AzSqlServerTransparentDataEncryptionCertificate', 
               'Clear-AzSqlDatabaseVulnerabilityAssessmentRuleBaseline', 
               'Clear-AzSqlDatabaseVulnerabilityAssessmentSetting', 
               'Clear-AzSqlInstanceDatabaseVulnerabilityAssessmentRuleBaseline', 
               'Clear-AzSqlInstanceDatabaseVulnerabilityAssessmentSetting', 
               'Clear-AzSqlInstanceVulnerabilityAssessmentSetting', 
               'Clear-AzSqlServerVulnerabilityAssessmentSetting', 
               'Complete-AzSqlInstanceDatabaseCopy', 
               'Complete-AzSqlInstanceDatabaseLogReplay', 
               'Complete-AzSqlInstanceDatabaseMove', 
               'Convert-AzSqlDatabaseVulnerabilityAssessmentScan', 
               'Convert-AzSqlInstanceDatabaseVulnerabilityAssessmentScan', 
               'Copy-AzSqlDatabaseLongTermRetentionBackup', 
               'Copy-AzSqlInstanceDatabase', 
               'Disable-AzSqlDatabaseLedgerDigestUpload', 
               'Disable-AzSqlDatabaseSensitivityRecommendation', 
               'Disable-AzSqlInstanceActiveDirectoryOnlyAuthentication', 
               'Disable-AzSqlInstanceAdvancedDataSecurity', 
               'Disable-AzSqlInstanceDatabaseLedgerDigestUpload', 
               'Disable-AzSqlInstanceDatabaseSensitivityRecommendation', 
               'Disable-AzSqlServerActiveDirectoryOnlyAuthentication', 
               'Disable-AzSqlServerAdvancedDataSecurity', 
               'Enable-AzSqlDatabaseLedgerDigestUpload', 
               'Enable-AzSqlDatabaseSensitivityRecommendation', 
               'Enable-AzSqlInstanceActiveDirectoryOnlyAuthentication', 
               'Enable-AzSqlInstanceAdvancedDataSecurity', 
               'Enable-AzSqlInstanceDatabaseLedgerDigestUpload', 
               'Enable-AzSqlInstanceDatabaseSensitivityRecommendation', 
               'Enable-AzSqlServerActiveDirectoryOnlyAuthentication', 
               'Enable-AzSqlServerAdvancedDataSecurity', 'Get-AzSqlCapability', 
               'Get-AzSqlDatabase', 'Get-AzSqlDatabaseActivity', 
               'Get-AzSqlDatabaseAdvancedThreatProtectionSetting', 
               'Get-AzSqlDatabaseAdvisor', 'Get-AzSqlDatabaseAudit', 
               'Get-AzSqlDatabaseBackupLongTermRetentionPolicy', 
               'Get-AzSqlDatabaseBackupShortTermRetentionPolicy', 
               'Get-AzSqlDatabaseDataMaskingPolicy', 
               'Get-AzSqlDatabaseDataMaskingRule', 'Get-AzSqlDatabaseExpanded', 
               'Get-AzSqlDatabaseFailoverGroup', 'Get-AzSqlDatabaseGeoBackup', 
               'Get-AzSqlDatabaseGeoBackupPolicy', 
               'Get-AzSqlDatabaseImportExportStatus', 
               'Get-AzSqlDatabaseIndexRecommendation', 
               'Get-AzSqlDatabaseInstanceFailoverGroup', 
               'Get-AzSqlDatabaseLedgerDigestUpload', 
               'Get-AzSqlDatabaseLongTermRetentionBackup', 
               'Get-AzSqlDatabaseRecommendedAction', 
               'Get-AzSqlDatabaseReplicationLink', 'Get-AzSqlDatabaseRestorePoint', 
               'Get-AzSqlDatabaseSensitivityClassification', 
               'Get-AzSqlDatabaseSensitivityRecommendation', 
               'Get-AzSqlDatabaseTransparentDataEncryption', 
               'Get-AzSqlDatabaseUpgradeHint', 
               'Get-AzSqlDatabaseVulnerabilityAssessmentRuleBaseline', 
               'Get-AzSqlDatabaseVulnerabilityAssessmentScanRecord', 
               'Get-AzSqlDatabaseVulnerabilityAssessmentSetting', 
               'Get-AzSqlDeletedDatabaseBackup', 
               'Get-AzSqlDeletedInstanceDatabaseBackup', 'Get-AzSqlElasticJob', 
               'Get-AzSqlElasticJobAgent', 'Get-AzSqlElasticJobCredential', 
               'Get-AzSqlElasticJobExecution', 
               'Get-AzSqlElasticJobPrivateEndpoint', 'Get-AzSqlElasticJobStep', 
               'Get-AzSqlElasticJobStepExecution', 
               'Get-AzSqlElasticJobTargetExecution', 
               'Get-AzSqlElasticJobTargetGroup', 'Get-AzSqlElasticPool', 
               'Get-AzSqlElasticPoolActivity', 'Get-AzSqlElasticPoolAdvisor', 
               'Get-AzSqlElasticPoolDatabase', 
               'Get-AzSqlElasticPoolRecommendation', 
               'Get-AzSqlElasticPoolRecommendedAction', 'Get-AzSqlInstance', 
               'Get-AzSqlInstanceActiveDirectoryAdministrator', 
               'Get-AzSqlInstanceActiveDirectoryOnlyAuthentication', 
               'Get-AzSqlInstanceAdvancedDataSecurityPolicy', 
               'Get-AzSqlInstanceAdvancedThreatProtectionSetting', 
               'Get-AzSqlInstanceDatabase', 
               'Get-AzSqlInstanceDatabaseAdvancedThreatProtectionSetting', 
               'Get-AzSqlInstanceDatabaseBackupLongTermRetentionPolicy', 
               'Get-AzSqlInstanceDatabaseBackupShortTermRetentionPolicy', 
               'Get-AzSqlInstanceDatabaseCopyOperation', 
               'Get-AzSqlInstanceDatabaseGeoBackup', 
               'Get-AzSqlInstanceDatabaseLedgerDigestUpload', 
               'Get-AzSqlInstanceDatabaseLogReplay', 
               'Get-AzSqlInstanceDatabaseLongTermRetentionBackup', 
               'Get-AzSqlInstanceDatabaseMoveOperation', 
               'Get-AzSqlInstanceDatabaseSensitivityClassification', 
               'Get-AzSqlInstanceDatabaseSensitivityRecommendation', 
               'Get-AzSqlInstanceDatabaseVulnerabilityAssessmentRuleBaseline', 
               'Get-AzSqlInstanceDatabaseVulnerabilityAssessmentScanRecord', 
               'Get-AzSqlInstanceDatabaseVulnerabilityAssessmentSetting', 
               'Get-AzSqlInstanceDtc', 'Get-AzSqlInstanceEndpointCertificate', 
               'Get-AzSqlInstanceKeyVaultKey', 'Get-AzSqlInstanceLink', 
               'Get-AzSqlInstanceOperation', 'Get-AzSqlInstancePool', 
               'Get-AzSqlInstancePoolUsage', 
               'Get-AzSqlInstanceServerTrustCertificate', 
               'Get-AzSqlInstanceStartStopSchedule', 
               'Get-AzSqlInstanceTransparentDataEncryptionProtector', 
               'Get-AzSqlInstanceVulnerabilityAssessmentSetting', 
               'Get-AzSqlServer', 'Get-AzSqlServerActiveDirectoryAdministrator', 
               'Get-AzSqlServerActiveDirectoryOnlyAuthentication', 
               'Get-AzSqlServerAdvancedDataSecurityPolicy', 
               'Get-AzSqlServerAdvancedThreatProtectionSetting', 
               'Get-AzSqlServerAdvisor', 'Get-AzSqlServerAudit', 
               'Get-AzSqlServerCommunicationLink', 
               'Get-AzSqlServerConfigurationOption', 
               'Get-AzSqlServerDisasterRecoveryConfiguration', 
               'Get-AzSqlServerDisasterRecoveryConfigurationActivity', 
               'Get-AzSqlServerDnsAlias', 'Get-AzSqlServerFirewallRule', 
               'Get-AzSqlServerIpv6FirewallRule', 'Get-AzSqlServerKeyVaultKey', 
               'Get-AzSqlServerMSSupportAudit', 
               'Get-AzSqlServerOutboundFirewallRule', 
               'Get-AzSqlServerRecommendedAction', 
               'Get-AzSqlServerServiceObjective', 
               'Get-AzSqlServerTransparentDataEncryptionProtector', 
               'Get-AzSqlServerTrustGroup', 'Get-AzSqlServerUpgradeHint', 
               'Get-AzSqlServerVirtualNetworkRule', 
               'Get-AzSqlServerVulnerabilityAssessmentSetting', 
               'Get-AzSqlSyncAgent', 'Get-AzSqlSyncAgentLinkedDatabase', 
               'Get-AzSqlSyncGroup', 'Get-AzSqlSyncGroupLog', 'Get-AzSqlSyncMember', 
               'Get-AzSqlSyncSchema', 'Get-AzSqlVirtualCluster', 
               'Invoke-AzSqlDatabaseFailover', 
               'Invoke-AzSqlDatabaseTransparentDataEncryptionProtectorRevalidation', 
               'Invoke-AzSqlDatabaseTransparentDataEncryptionProtectorRevert', 
               'Invoke-AzSqlElasticPoolFailover', 'Invoke-AzSqlInstanceFailover', 
               'Invoke-AzSqlInstanceTransparentDataEncryptionProtectorRevalidation', 
               'Invoke-AzSqlServerExternalGovernanceStatusRefresh', 
               'Invoke-AzSqlServerTransparentDataEncryptionProtectorRevalidation', 
               'Move-AzSqlInstanceDatabase', 'New-AzSqlDatabase', 
               'New-AzSqlDatabaseCopy', 'New-AzSqlDatabaseDataMaskingRule', 
               'New-AzSqlDatabaseExport', 'New-AzSqlDatabaseFailoverGroup', 
               'New-AzSqlDatabaseImport', 'New-AzSqlDatabaseInstanceFailoverGroup', 
               'New-AzSqlDatabaseRestorePoint', 'New-AzSqlDatabaseSecondary', 
               'New-AzSqlElasticJob', 'New-AzSqlElasticJobAgent', 
               'New-AzSqlElasticJobCredential', 
               'New-AzSqlElasticJobPrivateEndpoint', 
               'New-AzSqlElasticJobTargetGroup', 'New-AzSqlElasticPool', 
               'New-AzSqlInstance', 'New-AzSqlInstanceDatabase', 
               'New-AzSqlInstanceLink', 'New-AzSqlInstancePool', 
               'New-AzSqlInstanceScheduleItem', 
               'New-AzSqlInstanceServerTrustCertificate', 
               'New-AzSqlInstanceStartStopSchedule', 'New-AzSqlServer', 
               'New-AzSqlServerCommunicationLink', 
               'New-AzSqlServerDisasterRecoveryConfiguration', 
               'New-AzSqlServerDnsAlias', 'New-AzSqlServerFirewallRule', 
               'New-AzSqlServerIpv6FirewallRule', 
               'New-AzSqlServerOutboundFirewallRule', 'New-AzSqlServerTrustGroup', 
               'New-AzSqlServerVirtualNetworkRule', 'New-AzSqlSyncAgent', 
               'New-AzSqlSyncAgentKey', 'New-AzSqlSyncGroup', 'New-AzSqlSyncMember', 
               'Remove-AzSqlDatabase', 'Remove-AzSqlDatabaseAudit', 
               'Remove-AzSqlDatabaseDataMaskingRule', 
               'Remove-AzSqlDatabaseFailoverGroup', 
               'Remove-AzSqlDatabaseFromFailoverGroup', 
               'Remove-AzSqlDatabaseInstanceFailoverGroup', 
               'Remove-AzSqlDatabaseLongTermRetentionBackup', 
               'Remove-AzSqlDatabaseRestorePoint', 'Remove-AzSqlDatabaseSecondary', 
               'Remove-AzSqlDatabaseSensitivityClassification', 
               'Remove-AzSqlElasticJob', 'Remove-AzSqlElasticJobAgent', 
               'Remove-AzSqlElasticJobCredential', 
               'Remove-AzSqlElasticJobPrivateEndpoint', 
               'Remove-AzSqlElasticJobStep', 'Remove-AzSqlElasticJobTarget', 
               'Remove-AzSqlElasticJobTargetGroup', 'Remove-AzSqlElasticPool', 
               'Remove-AzSqlInstance', 
               'Remove-AzSqlInstanceActiveDirectoryAdministrator', 
               'Remove-AzSqlInstanceDatabase', 
               'Remove-AzSqlInstanceDatabaseLongTermRetentionBackup', 
               'Remove-AzSqlInstanceDatabaseSensitivityClassification', 
               'Remove-AzSqlInstanceKeyVaultKey', 'Remove-AzSqlInstanceLink', 
               'Remove-AzSqlInstancePool', 
               'Remove-AzSqlInstanceServerTrustCertificate', 
               'Remove-AzSqlInstanceStartStopSchedule', 'Remove-AzSqlServer', 
               'Remove-AzSqlServerActiveDirectoryAdministrator', 
               'Remove-AzSqlServerAudit', 'Remove-AzSqlServerCommunicationLink', 
               'Remove-AzSqlServerDisasterRecoveryConfiguration', 
               'Remove-AzSqlServerDnsAlias', 'Remove-AzSqlServerFirewallRule', 
               'Remove-AzSqlServerIpv6FirewallRule', 
               'Remove-AzSqlServerKeyVaultKey', 'Remove-AzSqlServerMSSupportAudit', 
               'Remove-AzSqlServerOutboundFirewallRule', 
               'Remove-AzSqlServerTrustGroup', 
               'Remove-AzSqlServerVirtualNetworkRule', 'Remove-AzSqlSyncAgent', 
               'Remove-AzSqlSyncGroup', 'Remove-AzSqlSyncMember', 
               'Remove-AzSqlVirtualCluster', 'Restore-AzSqlDatabase', 
               'Restore-AzSqlInstanceDatabase', 'Resume-AzSqlDatabase', 
               'Set-AzSqlDatabase', 'Set-AzSqlDatabaseAdvisorAutoExecuteStatus', 
               'Set-AzSqlDatabaseAudit', 
               'Set-AzSqlDatabaseBackupLongTermRetentionPolicy', 
               'Set-AzSqlDatabaseBackupShortTermRetentionPolicy', 
               'Set-AzSqlDatabaseDataMaskingPolicy', 
               'Set-AzSqlDatabaseDataMaskingRule', 
               'Set-AzSqlDatabaseFailoverGroup', 
               'Set-AzSqlDatabaseGeoBackupPolicy', 
               'Set-AzSqlDatabaseInstanceFailoverGroup', 
               'Set-AzSqlDatabaseRecommendedActionState', 
               'Set-AzSqlDatabaseSecondary', 
               'Set-AzSqlDatabaseSensitivityClassification', 
               'Set-AzSqlDatabaseTransparentDataEncryption', 
               'Set-AzSqlDatabaseVulnerabilityAssessmentRuleBaseline', 
               'Set-AzSqlElasticJob', 'Set-AzSqlElasticJobAgent', 
               'Set-AzSqlElasticJobCredential', 'Set-AzSqlElasticJobStep', 
               'Set-AzSqlElasticPool', 
               'Set-AzSqlElasticPoolAdvisorAutoExecuteStatus', 
               'Set-AzSqlElasticPoolRecommendedActionState', 'Set-AzSqlInstance', 
               'Set-AzSqlInstanceActiveDirectoryAdministrator', 
               'Set-AzSqlInstanceDatabase', 
               'Set-AzSqlInstanceDatabaseBackupLongTermRetentionPolicy', 
               'Set-AzSqlInstanceDatabaseBackupShortTermRetentionPolicy', 
               'Set-AzSqlInstanceDatabaseSensitivityClassification', 
               'Set-AzSqlInstanceDatabaseVulnerabilityAssessmentRuleBaseline', 
               'Set-AzSqlInstanceDtc', 'Set-AzSqlInstancePool', 
               'Set-AzSqlInstanceTransparentDataEncryptionProtector', 
               'Set-AzSqlServer', 'Set-AzSqlServerActiveDirectoryAdministrator', 
               'Set-AzSqlServerAdvisorAutoExecuteStatus', 'Set-AzSqlServerAudit', 
               'Set-AzSqlServerConfigurationOption', 
               'Set-AzSqlServerDisasterRecoveryConfiguration', 
               'Set-AzSqlServerDnsAlias', 'Set-AzSqlServerFirewallRule', 
               'Set-AzSqlServerIpv6FirewallRule', 'Set-AzSqlServerMSSupportAudit', 
               'Set-AzSqlServerRecommendedActionState', 
               'Set-AzSqlServerTransparentDataEncryptionProtector', 
               'Set-AzSqlServerVirtualNetworkRule', 
               'Start-AzSqlDatabaseExecuteIndexRecommendation', 
               'Start-AzSqlDatabaseVulnerabilityAssessmentScan', 
               'Start-AzSqlElasticJob', 'Start-AzSqlInstance', 
               'Start-AzSqlInstanceDatabaseLogReplay', 
               'Start-AzSqlInstanceDatabaseVulnerabilityAssessmentScan', 
               'Start-AzSqlSyncGroupSync', 'Stop-AzSqlDatabaseActivity', 
               'Stop-AzSqlDatabaseExecuteIndexRecommendation', 
               'Stop-AzSqlElasticJob', 'Stop-AzSqlElasticPoolActivity', 
               'Stop-AzSqlInstance', 'Stop-AzSqlInstanceDatabaseCopy', 
               'Stop-AzSqlInstanceDatabaseLogReplay', 
               'Stop-AzSqlInstanceDatabaseMove', 'Stop-AzSqlInstanceOperation', 
               'Stop-AzSqlSyncGroupSync', 'Suspend-AzSqlDatabase', 
               'Switch-AzSqlDatabaseFailoverGroup', 
               'Switch-AzSqlDatabaseInstanceFailoverGroup', 
               'Update-AzSqlDatabaseAdvancedThreatProtectionSetting', 
               'Update-AzSqlDatabaseLongTermRetentionBackup', 
               'Update-AzSqlDatabaseVulnerabilityAssessmentSetting', 
               'Update-AzSqlInstanceAdvancedThreatProtectionSetting', 
               'Update-AzSqlInstanceDatabaseAdvancedThreatProtectionSetting', 
               'Update-AzSqlInstanceDatabaseVulnerabilityAssessmentSetting', 
               'Update-AzSqlInstanceLink', 
               'Update-AzSqlInstanceVulnerabilityAssessmentSetting', 
               'Update-AzSqlServerAdvancedThreatProtectionSetting', 
               'Update-AzSqlServerVulnerabilityAssessmentSetting', 
               'Update-AzSqlSyncGroup', 'Update-AzSqlSyncMember', 
               'Update-AzSqlSyncSchema'

# Variables to export from this module
# VariablesToExport = @()

# Aliases to export from this module, for best performance, do not use wildcards and do not delete the entry, use an empty array if there are no aliases to export.
AliasesToExport = 'Get-AzSqlDatabaseLongTermRetentionPolicy', 
               'Get-AzSqlInstanceTDEProtector', 
               'Set-AzSqlDatabaseLongTermRetentionPolicy', 'Set-AzSqlInstanceLink', 
               'Set-AzSqlInstanceTDEProtector', 'Set-AzSqlServerTrustGroup'

# DSC resources to export from this module
# DscResourcesToExport = @()

# List of all modules packaged with this module
# ModuleList = @()

# List of all files packaged with this module
# FileList = @()

# Private data to pass to the module specified in RootModule/ModuleToProcess. This may also contain a PSData hashtable with additional module metadata used by PowerShell.
PrivateData = @{

    PSData = @{

        # Tags applied to this module. These help with module discovery in online galleries.
        Tags = 'Azure','ResourceManager','ARM','Sql','Database'

        # A URL to the license for this module.
        LicenseUri = 'https://aka.ms/azps-license'

        # A URL to the main website for this project.
        ProjectUri = 'https://github.com/Azure/azure-powershell'

        # A URL to an icon representing this module.
        # IconUri = ''

        # ReleaseNotes of this module
        ReleaseNotes = '* Fixed ''Set-AzSqlDatabaseFailoverGroup'' when going from multi-secondary to single secondary
* Added ''SecondaryComputeModel'', ''AutoPauseDelayInMinutes'' and ''MinimumCapacity'' parameters within ''New-AzSqlDatabaseSecondary'''

        # Prerelease string of this module
        # Prerelease = ''

        # Flag to indicate whether the module requires explicit user acceptance for install/update/save
        # RequireLicenseAcceptance = $false

        # External dependent modules of this module
        # ExternalModuleDependencies = @()

    } # End of PSData hashtable

 } # End of PrivateData hashtable

# HelpInfo URI of this module
# HelpInfoURI = ''

# Default prefix for commands exported from this module. Override the default prefix using Import-Module -Prefix.
# DefaultCommandPrefix = ''

}


# SIG # Begin signature block
# MIInzgYJKoZIhvcNAQcCoIInvzCCJ7sCAQExDzANBglghkgBZQMEAgEFADB5Bgor
# BgEEAYI3AgEEoGswaTA0BgorBgEEAYI3AgEeMCYCAwEAAAQQH8w7YFlLCE63JNLG
# KX7zUQIBAAIBAAIBAAIBAAIBADAxMA0GCWCGSAFlAwQCAQUABCDs2pv1zuAfHpoI
# 3oaEKU08Zc8H47ybpYy4Fap3wvJdXKCCDYUwggYDMIID66ADAgECAhMzAAADri01
# UchTj1UdAAAAAAOuMA0GCSqGSIb3DQEBCwUAMH4xCzAJBgNVBAYTAlVTMRMwEQYD
# VQQIEwpXYXNoaW5ndG9uMRAwDgYDVQQHEwdSZWRtb25kMR4wHAYDVQQKExVNaWNy
# b3NvZnQgQ29ycG9yYXRpb24xKDAmBgNVBAMTH01pY3Jvc29mdCBDb2RlIFNpZ25p
# bmcgUENBIDIwMTEwHhcNMjMxMTE2MTkwODU5WhcNMjQxMTE0MTkwODU5WjB0MQsw
# CQYDVQQGEwJVUzETMBEGA1UECBMKV2FzaGluZ3RvbjEQMA4GA1UEBxMHUmVkbW9u
# ZDEeMBwGA1UEChMVTWljcm9zb2Z0IENvcnBvcmF0aW9uMR4wHAYDVQQDExVNaWNy
# b3NvZnQgQ29ycG9yYXRpb24wggEiMA0GCSqGSIb3DQEBAQUAA4IBDwAwggEKAoIB
# AQD0IPymNjfDEKg+YyE6SjDvJwKW1+pieqTjAY0CnOHZ1Nj5irGjNZPMlQ4HfxXG
# yAVCZcEWE4x2sZgam872R1s0+TAelOtbqFmoW4suJHAYoTHhkznNVKpscm5fZ899
# QnReZv5WtWwbD8HAFXbPPStW2JKCqPcZ54Y6wbuWV9bKtKPImqbkMcTejTgEAj82
# 6GQc6/Th66Koka8cUIvz59e/IP04DGrh9wkq2jIFvQ8EDegw1B4KyJTIs76+hmpV
# M5SwBZjRs3liOQrierkNVo11WuujB3kBf2CbPoP9MlOyyezqkMIbTRj4OHeKlamd
# WaSFhwHLJRIQpfc8sLwOSIBBAgMBAAGjggGCMIIBfjAfBgNVHSUEGDAWBgorBgEE
# AYI3TAgBBggrBgEFBQcDAzAdBgNVHQ4EFgQUhx/vdKmXhwc4WiWXbsf0I53h8T8w
# VAYDVR0RBE0wS6RJMEcxLTArBgNVBAsTJE1pY3Jvc29mdCBJcmVsYW5kIE9wZXJh
# dGlvbnMgTGltaXRlZDEWMBQGA1UEBRMNMjMwMDEyKzUwMTgzNjAfBgNVHSMEGDAW
# gBRIbmTlUAXTgqoXNzcitW2oynUClTBUBgNVHR8ETTBLMEmgR6BFhkNodHRwOi8v
# d3d3Lm1pY3Jvc29mdC5jb20vcGtpb3BzL2NybC9NaWNDb2RTaWdQQ0EyMDExXzIw
# MTEtMDctMDguY3JsMGEGCCsGAQUFBwEBBFUwUzBRBggrBgEFBQcwAoZFaHR0cDov
# L3d3dy5taWNyb3NvZnQuY29tL3BraW9wcy9jZXJ0cy9NaWNDb2RTaWdQQ0EyMDEx
# XzIwMTEtMDctMDguY3J0MAwGA1UdEwEB/wQCMAAwDQYJKoZIhvcNAQELBQADggIB
# AGrJYDUS7s8o0yNprGXRXuAnRcHKxSjFmW4wclcUTYsQZkhnbMwthWM6cAYb/h2W
# 5GNKtlmj/y/CThe3y/o0EH2h+jwfU/9eJ0fK1ZO/2WD0xi777qU+a7l8KjMPdwjY
# 0tk9bYEGEZfYPRHy1AGPQVuZlG4i5ymJDsMrcIcqV8pxzsw/yk/O4y/nlOjHz4oV
# APU0br5t9tgD8E08GSDi3I6H57Ftod9w26h0MlQiOr10Xqhr5iPLS7SlQwj8HW37
# ybqsmjQpKhmWul6xiXSNGGm36GarHy4Q1egYlxhlUnk3ZKSr3QtWIo1GGL03hT57
# xzjL25fKiZQX/q+II8nuG5M0Qmjvl6Egltr4hZ3e3FQRzRHfLoNPq3ELpxbWdH8t
# Nuj0j/x9Crnfwbki8n57mJKI5JVWRWTSLmbTcDDLkTZlJLg9V1BIJwXGY3i2kR9i
# 5HsADL8YlW0gMWVSlKB1eiSlK6LmFi0rVH16dde+j5T/EaQtFz6qngN7d1lvO7uk
# 6rtX+MLKG4LDRsQgBTi6sIYiKntMjoYFHMPvI/OMUip5ljtLitVbkFGfagSqmbxK
# 7rJMhC8wiTzHanBg1Rrbff1niBbnFbbV4UDmYumjs1FIpFCazk6AADXxoKCo5TsO
# zSHqr9gHgGYQC2hMyX9MGLIpowYCURx3L7kUiGbOiMwaMIIHejCCBWKgAwIBAgIK
# YQ6Q0gAAAAAAAzANBgkqhkiG9w0BAQsFADCBiDELMAkGA1UEBhMCVVMxEzARBgNV
# BAgTCldhc2hpbmd0b24xEDAOBgNVBAcTB1JlZG1vbmQxHjAcBgNVBAoTFU1pY3Jv
# c29mdCBDb3Jwb3JhdGlvbjEyMDAGA1UEAxMpTWljcm9zb2Z0IFJvb3QgQ2VydGlm
# aWNhdGUgQXV0aG9yaXR5IDIwMTEwHhcNMTEwNzA4MjA1OTA5WhcNMjYwNzA4MjEw
# OTA5WjB+MQswCQYDVQQGEwJVUzETMBEGA1UECBMKV2FzaGluZ3RvbjEQMA4GA1UE
# BxMHUmVkbW9uZDEeMBwGA1UEChMVTWljcm9zb2Z0IENvcnBvcmF0aW9uMSgwJgYD
# VQQDEx9NaWNyb3NvZnQgQ29kZSBTaWduaW5nIFBDQSAyMDExMIICIjANBgkqhkiG
# 9w0BAQEFAAOCAg8AMIICCgKCAgEAq/D6chAcLq3YbqqCEE00uvK2WCGfQhsqa+la
# UKq4BjgaBEm6f8MMHt03a8YS2AvwOMKZBrDIOdUBFDFC04kNeWSHfpRgJGyvnkmc
# 6Whe0t+bU7IKLMOv2akrrnoJr9eWWcpgGgXpZnboMlImEi/nqwhQz7NEt13YxC4D
# dato88tt8zpcoRb0RrrgOGSsbmQ1eKagYw8t00CT+OPeBw3VXHmlSSnnDb6gE3e+
# lD3v++MrWhAfTVYoonpy4BI6t0le2O3tQ5GD2Xuye4Yb2T6xjF3oiU+EGvKhL1nk
# kDstrjNYxbc+/jLTswM9sbKvkjh+0p2ALPVOVpEhNSXDOW5kf1O6nA+tGSOEy/S6
# A4aN91/w0FK/jJSHvMAhdCVfGCi2zCcoOCWYOUo2z3yxkq4cI6epZuxhH2rhKEmd
# X4jiJV3TIUs+UsS1Vz8kA/DRelsv1SPjcF0PUUZ3s/gA4bysAoJf28AVs70b1FVL
# 5zmhD+kjSbwYuER8ReTBw3J64HLnJN+/RpnF78IcV9uDjexNSTCnq47f7Fufr/zd
# sGbiwZeBe+3W7UvnSSmnEyimp31ngOaKYnhfsi+E11ecXL93KCjx7W3DKI8sj0A3
# T8HhhUSJxAlMxdSlQy90lfdu+HggWCwTXWCVmj5PM4TasIgX3p5O9JawvEagbJjS
# 4NaIjAsCAwEAAaOCAe0wggHpMBAGCSsGAQQBgjcVAQQDAgEAMB0GA1UdDgQWBBRI
# bmTlUAXTgqoXNzcitW2oynUClTAZBgkrBgEEAYI3FAIEDB4KAFMAdQBiAEMAQTAL
# BgNVHQ8EBAMCAYYwDwYDVR0TAQH/BAUwAwEB/zAfBgNVHSMEGDAWgBRyLToCMZBD
# uRQFTuHqp8cx0SOJNDBaBgNVHR8EUzBRME+gTaBLhklodHRwOi8vY3JsLm1pY3Jv
# c29mdC5jb20vcGtpL2NybC9wcm9kdWN0cy9NaWNSb29DZXJBdXQyMDExXzIwMTFf
# MDNfMjIuY3JsMF4GCCsGAQUFBwEBBFIwUDBOBggrBgEFBQcwAoZCaHR0cDovL3d3
# dy5taWNyb3NvZnQuY29tL3BraS9jZXJ0cy9NaWNSb29DZXJBdXQyMDExXzIwMTFf
# MDNfMjIuY3J0MIGfBgNVHSAEgZcwgZQwgZEGCSsGAQQBgjcuAzCBgzA/BggrBgEF
# BQcCARYzaHR0cDovL3d3dy5taWNyb3NvZnQuY29tL3BraW9wcy9kb2NzL3ByaW1h
# cnljcHMuaHRtMEAGCCsGAQUFBwICMDQeMiAdAEwAZQBnAGEAbABfAHAAbwBsAGkA
# YwB5AF8AcwB0AGEAdABlAG0AZQBuAHQALiAdMA0GCSqGSIb3DQEBCwUAA4ICAQBn
# 8oalmOBUeRou09h0ZyKbC5YR4WOSmUKWfdJ5DJDBZV8uLD74w3LRbYP+vj/oCso7
# v0epo/Np22O/IjWll11lhJB9i0ZQVdgMknzSGksc8zxCi1LQsP1r4z4HLimb5j0b
# pdS1HXeUOeLpZMlEPXh6I/MTfaaQdION9MsmAkYqwooQu6SpBQyb7Wj6aC6VoCo/
# KmtYSWMfCWluWpiW5IP0wI/zRive/DvQvTXvbiWu5a8n7dDd8w6vmSiXmE0OPQvy
# CInWH8MyGOLwxS3OW560STkKxgrCxq2u5bLZ2xWIUUVYODJxJxp/sfQn+N4sOiBp
# mLJZiWhub6e3dMNABQamASooPoI/E01mC8CzTfXhj38cbxV9Rad25UAqZaPDXVJi
# hsMdYzaXht/a8/jyFqGaJ+HNpZfQ7l1jQeNbB5yHPgZ3BtEGsXUfFL5hYbXw3MYb
# BL7fQccOKO7eZS/sl/ahXJbYANahRr1Z85elCUtIEJmAH9AAKcWxm6U/RXceNcbS
# oqKfenoi+kiVH6v7RyOA9Z74v2u3S5fi63V4GuzqN5l5GEv/1rMjaHXmr/r8i+sL
# gOppO6/8MO0ETI7f33VtY5E90Z1WTk+/gFcioXgRMiF670EKsT/7qMykXcGhiJtX
# cVZOSEXAQsmbdlsKgEhr/Xmfwb1tbWrJUnMTDXpQzTGCGZ8wghmbAgEBMIGVMH4x
# CzAJBgNVBAYTAlVTMRMwEQYDVQQIEwpXYXNoaW5ndG9uMRAwDgYDVQQHEwdSZWRt
# b25kMR4wHAYDVQQKExVNaWNyb3NvZnQgQ29ycG9yYXRpb24xKDAmBgNVBAMTH01p
# Y3Jvc29mdCBDb2RlIFNpZ25pbmcgUENBIDIwMTECEzMAAAOuLTVRyFOPVR0AAAAA
# A64wDQYJYIZIAWUDBAIBBQCgga4wGQYJKoZIhvcNAQkDMQwGCisGAQQBgjcCAQQw
# HAYKKwYBBAGCNwIBCzEOMAwGCisGAQQBgjcCARUwLwYJKoZIhvcNAQkEMSIEIC4m
# ho48ZNzS5zNnLqHgzBPe/y8j5UPcQmdfikgtX1ahMEIGCisGAQQBgjcCAQwxNDAy
# oBSAEgBNAGkAYwByAG8AcwBvAGYAdKEagBhodHRwOi8vd3d3Lm1pY3Jvc29mdC5j
# b20wDQYJKoZIhvcNAQEBBQAEggEAF54u/PQUQIVt/AK7XSfe62ckuaGGMmR5M6jl
# 728Pyrfoa/MsyKJqTBnMSwUmYD8/GbJpG7JBwYX1KRMZdDz7i1W2DlopwJkDdbtG
# Xl0AxBYPkdsd3dKORgGUkuxWfK+zgLxovJs7jwKuoTSVsiNH8EVFubzDeh5tP36y
# MdNJLYqqJYb+185aa56M+DEuFodaoeeXzhO3X2VSwsd9gy4DoIHblqH/TyIH5K1+
# /OcSxB5xhlWj09BRyheUgajfR6wJHK5xFxbuypMPFmPIlSbGreahcVJ22j+DG4WI
# rJ1gT6Ayh75F5b9GeLARdm/NOPpQXI67W3nRr3VDcDYsl1fCuKGCFykwghclBgor
# BgEEAYI3AwMBMYIXFTCCFxEGCSqGSIb3DQEHAqCCFwIwghb+AgEDMQ8wDQYJYIZI
# AWUDBAIBBQAwggFZBgsqhkiG9w0BCRABBKCCAUgEggFEMIIBQAIBAQYKKwYBBAGE
# WQoDATAxMA0GCWCGSAFlAwQCAQUABCBS5vHxmZy8Gsfd6B/RSTNArRpt5azQ5Q/F
# aIw+JzXegwIGZYMVWkbWGBMyMDIzMTIyNzA2NTU0MC4yMjJaMASAAgH0oIHYpIHV
# MIHSMQswCQYDVQQGEwJVUzETMBEGA1UECBMKV2FzaGluZ3RvbjEQMA4GA1UEBxMH
# UmVkbW9uZDEeMBwGA1UEChMVTWljcm9zb2Z0IENvcnBvcmF0aW9uMS0wKwYDVQQL
# EyRNaWNyb3NvZnQgSXJlbGFuZCBPcGVyYXRpb25zIExpbWl0ZWQxJjAkBgNVBAsT
# HVRoYWxlcyBUU1MgRVNOOjg2REYtNEJCQy05MzM1MSUwIwYDVQQDExxNaWNyb3Nv
# ZnQgVGltZS1TdGFtcCBTZXJ2aWNloIIReDCCBycwggUPoAMCAQICEzMAAAHdXVcd
# ldStqhsAAQAAAd0wDQYJKoZIhvcNAQELBQAwfDELMAkGA1UEBhMCVVMxEzARBgNV
# BAgTCldhc2hpbmd0b24xEDAOBgNVBAcTB1JlZG1vbmQxHjAcBgNVBAoTFU1pY3Jv
# c29mdCBDb3Jwb3JhdGlvbjEmMCQGA1UEAxMdTWljcm9zb2Z0IFRpbWUtU3RhbXAg
# UENBIDIwMTAwHhcNMjMxMDEyMTkwNzA5WhcNMjUwMTEwMTkwNzA5WjCB0jELMAkG
# A1UEBhMCVVMxEzARBgNVBAgTCldhc2hpbmd0b24xEDAOBgNVBAcTB1JlZG1vbmQx
# HjAcBgNVBAoTFU1pY3Jvc29mdCBDb3Jwb3JhdGlvbjEtMCsGA1UECxMkTWljcm9z
# b2Z0IElyZWxhbmQgT3BlcmF0aW9ucyBMaW1pdGVkMSYwJAYDVQQLEx1UaGFsZXMg
# VFNTIEVTTjo4NkRGLTRCQkMtOTMzNTElMCMGA1UEAxMcTWljcm9zb2Z0IFRpbWUt
# U3RhbXAgU2VydmljZTCCAiIwDQYJKoZIhvcNAQEBBQADggIPADCCAgoCggIBAKhO
# A5RE6i53nHURH4lnfKLp+9JvipuTtctairCxMUSrPSy5CWK2DtriQP+T52HXbN2g
# 7AktQ1pQZbTDGFzK6d03vYYNrCPuJK+PRsP2FPVDjBXy5mrLRFzIHHLaiAaobE5v
# FJuoxZ0ZWdKMCs8acjhHUmfaY+79/CR7uN+B4+xjJqwvdpU/mp0mAq3earyH+AKm
# v6lkrQN8zgrcbCgHwsqvvqT6lEFqYpi7uKn7MAYbSeLe0pMdatV5EW6NVnXMYOTR
# KuGPfyfBKdShualLo88kG7qa2mbA5l77+X06JAesMkoyYr4/9CgDFjHUpcHSODuj
# lFBKMi168zRdLerdpW0bBX9EDux2zBMMaEK8NyxawCEuAq7++7ktFAbl3hUKtuzY
# C1FUZuUl2Bq6U17S4CKsqR3itLT9qNcb2pAJ4jrIDdll5Tgoqef5gpv+YcvBM834
# bXFNwytd3ujDD24P9Dd8xfVJvumjsBQQkK5T/qy3HrQJ8ud1nHSvtFVi5Sa/ubGu
# YEpS8gF6GDWN5/KbveFkdsoTVIPo8pkWhjPs0Q7nA5+uBxQB4zljEjKz5WW7BA4w
# pmFm24fhBmRjV4Nbp+n78cgAjvDSfTlA6DYBcv2kx1JH2dIhaRnSeOXePT6hMF0I
# l598LMu0rw35ViUWcAQkUNUTxRnqGFxz5w+ZusMDAgMBAAGjggFJMIIBRTAdBgNV
# HQ4EFgQUbqL1toyPUdpFyyHSDKWj0I4lw/EwHwYDVR0jBBgwFoAUn6cVXQBeYl2D
# 9OXSZacbUzUZ6XIwXwYDVR0fBFgwVjBUoFKgUIZOaHR0cDovL3d3dy5taWNyb3Nv
# ZnQuY29tL3BraW9wcy9jcmwvTWljcm9zb2Z0JTIwVGltZS1TdGFtcCUyMFBDQSUy
# MDIwMTAoMSkuY3JsMGwGCCsGAQUFBwEBBGAwXjBcBggrBgEFBQcwAoZQaHR0cDov
# L3d3dy5taWNyb3NvZnQuY29tL3BraW9wcy9jZXJ0cy9NaWNyb3NvZnQlMjBUaW1l
# LVN0YW1wJTIwUENBJTIwMjAxMCgxKS5jcnQwDAYDVR0TAQH/BAIwADAWBgNVHSUB
# Af8EDDAKBggrBgEFBQcDCDAOBgNVHQ8BAf8EBAMCB4AwDQYJKoZIhvcNAQELBQAD
# ggIBAC5U2bINLgXIHWbMcqVuf9jkUT/K8zyLBvu5h8JrqYR2z/eaO2yo1Ooc9Shy
# vxbe9GZDu7kkUzxSyJ1IZksZZw6FDq6yZNT3PEjAEnREpRBL8S+mbXg+O4VLS0LS
# mb8XIZiLsaqZ0fDEcv3HeA+/y/qKnCQWkXghpaEMwGMQzRkhGwcGdXr1zGpQ7HTx
# vfu57xFxZX1MkKnWFENJ6urd+4teUgXj0ngIOx//l3XMK3Ht8T2+zvGJNAF+5/5q
# Bk7nr079zICbFXvxtidNN5eoXdW+9rAIkS+UGD19AZdBrtt6dZ+OdAquBiDkYQ5k
# VfUMKS31yHQOGgmFxuCOzTpWHalrqpdIllsy8KNsj5U9sONiWAd9PNlyEHHbQZDm
# i9/BNlOYyTt0YehLbDovmZUNazk79Od/A917mqCdTqrExwBGUPbMP+/vdYUqaJsp
# upBnUtjOf/76DAhVy8e/e6zR98PkplmliO2brL3Q3rD6+ZCVdrGM9Rm6hUDBBkvY
# h+YjmGdcQ5HB6WT9Rec8+qDHmbhLhX4Zdaard5/OXeLbgx2f7L4QQQj3KgqjqDOW
# InVhNE1gYtTWLHe4882d/k7Lui0K1g8EZrKD7maOrsJLKPKlegceJ9FCqY1sDUKU
# hRa0EHUW+ZkKLlohKrS7FwjdrINWkPBgbQznCjdE2m47QjTbMIIHcTCCBVmgAwIB
# AgITMwAAABXF52ueAptJmQAAAAAAFTANBgkqhkiG9w0BAQsFADCBiDELMAkGA1UE
# BhMCVVMxEzARBgNVBAgTCldhc2hpbmd0b24xEDAOBgNVBAcTB1JlZG1vbmQxHjAc
# BgNVBAoTFU1pY3Jvc29mdCBDb3Jwb3JhdGlvbjEyMDAGA1UEAxMpTWljcm9zb2Z0
# IFJvb3QgQ2VydGlmaWNhdGUgQXV0aG9yaXR5IDIwMTAwHhcNMjEwOTMwMTgyMjI1
# WhcNMzAwOTMwMTgzMjI1WjB8MQswCQYDVQQGEwJVUzETMBEGA1UECBMKV2FzaGlu
# Z3RvbjEQMA4GA1UEBxMHUmVkbW9uZDEeMBwGA1UEChMVTWljcm9zb2Z0IENvcnBv
# cmF0aW9uMSYwJAYDVQQDEx1NaWNyb3NvZnQgVGltZS1TdGFtcCBQQ0EgMjAxMDCC
# AiIwDQYJKoZIhvcNAQEBBQADggIPADCCAgoCggIBAOThpkzntHIhC3miy9ckeb0O
# 1YLT/e6cBwfSqWxOdcjKNVf2AX9sSuDivbk+F2Az/1xPx2b3lVNxWuJ+Slr+uDZn
# hUYjDLWNE893MsAQGOhgfWpSg0S3po5GawcU88V29YZQ3MFEyHFcUTE3oAo4bo3t
# 1w/YJlN8OWECesSq/XJprx2rrPY2vjUmZNqYO7oaezOtgFt+jBAcnVL+tuhiJdxq
# D89d9P6OU8/W7IVWTe/dvI2k45GPsjksUZzpcGkNyjYtcI4xyDUoveO0hyTD4MmP
# frVUj9z6BVWYbWg7mka97aSueik3rMvrg0XnRm7KMtXAhjBcTyziYrLNueKNiOSW
# rAFKu75xqRdbZ2De+JKRHh09/SDPc31BmkZ1zcRfNN0Sidb9pSB9fvzZnkXftnIv
# 231fgLrbqn427DZM9ituqBJR6L8FA6PRc6ZNN3SUHDSCD/AQ8rdHGO2n6Jl8P0zb
# r17C89XYcz1DTsEzOUyOArxCaC4Q6oRRRuLRvWoYWmEBc8pnol7XKHYC4jMYcten
# IPDC+hIK12NvDMk2ZItboKaDIV1fMHSRlJTYuVD5C4lh8zYGNRiER9vcG9H9stQc
# xWv2XFJRXRLbJbqvUAV6bMURHXLvjflSxIUXk8A8FdsaN8cIFRg/eKtFtvUeh17a
# j54WcmnGrnu3tz5q4i6tAgMBAAGjggHdMIIB2TASBgkrBgEEAYI3FQEEBQIDAQAB
# MCMGCSsGAQQBgjcVAgQWBBQqp1L+ZMSavoKRPEY1Kc8Q/y8E7jAdBgNVHQ4EFgQU
# n6cVXQBeYl2D9OXSZacbUzUZ6XIwXAYDVR0gBFUwUzBRBgwrBgEEAYI3TIN9AQEw
# QTA/BggrBgEFBQcCARYzaHR0cDovL3d3dy5taWNyb3NvZnQuY29tL3BraW9wcy9E
# b2NzL1JlcG9zaXRvcnkuaHRtMBMGA1UdJQQMMAoGCCsGAQUFBwMIMBkGCSsGAQQB
# gjcUAgQMHgoAUwB1AGIAQwBBMAsGA1UdDwQEAwIBhjAPBgNVHRMBAf8EBTADAQH/
# MB8GA1UdIwQYMBaAFNX2VsuP6KJcYmjRPZSQW9fOmhjEMFYGA1UdHwRPME0wS6BJ
# oEeGRWh0dHA6Ly9jcmwubWljcm9zb2Z0LmNvbS9wa2kvY3JsL3Byb2R1Y3RzL01p
# Y1Jvb0NlckF1dF8yMDEwLTA2LTIzLmNybDBaBggrBgEFBQcBAQROMEwwSgYIKwYB
# BQUHMAKGPmh0dHA6Ly93d3cubWljcm9zb2Z0LmNvbS9wa2kvY2VydHMvTWljUm9v
# Q2VyQXV0XzIwMTAtMDYtMjMuY3J0MA0GCSqGSIb3DQEBCwUAA4ICAQCdVX38Kq3h
# LB9nATEkW+Geckv8qW/qXBS2Pk5HZHixBpOXPTEztTnXwnE2P9pkbHzQdTltuw8x
# 5MKP+2zRoZQYIu7pZmc6U03dmLq2HnjYNi6cqYJWAAOwBb6J6Gngugnue99qb74p
# y27YP0h1AdkY3m2CDPVtI1TkeFN1JFe53Z/zjj3G82jfZfakVqr3lbYoVSfQJL1A
# oL8ZthISEV09J+BAljis9/kpicO8F7BUhUKz/AyeixmJ5/ALaoHCgRlCGVJ1ijbC
# HcNhcy4sa3tuPywJeBTpkbKpW99Jo3QMvOyRgNI95ko+ZjtPu4b6MhrZlvSP9pEB
# 9s7GdP32THJvEKt1MMU0sHrYUP4KWN1APMdUbZ1jdEgssU5HLcEUBHG/ZPkkvnNt
# yo4JvbMBV0lUZNlz138eW0QBjloZkWsNn6Qo3GcZKCS6OEuabvshVGtqRRFHqfG3
# rsjoiV5PndLQTHa1V1QJsWkBRH58oWFsc/4Ku+xBZj1p/cvBQUl+fpO+y/g75LcV
# v7TOPqUxUYS8vwLBgqJ7Fx0ViY1w/ue10CgaiQuPNtq6TPmb/wrpNPgkNWcr4A24
# 5oyZ1uEi6vAnQj0llOZ0dFtq0Z4+7X6gMTN9vMvpe784cETRkPHIqzqKOghif9lw
# Y1NNje6CbaUFEMFxBmoQtB1VM1izoXBm8qGCAtQwggI9AgEBMIIBAKGB2KSB1TCB
# 0jELMAkGA1UEBhMCVVMxEzARBgNVBAgTCldhc2hpbmd0b24xEDAOBgNVBAcTB1Jl
# ZG1vbmQxHjAcBgNVBAoTFU1pY3Jvc29mdCBDb3Jwb3JhdGlvbjEtMCsGA1UECxMk
# TWljcm9zb2Z0IElyZWxhbmQgT3BlcmF0aW9ucyBMaW1pdGVkMSYwJAYDVQQLEx1U
# aGFsZXMgVFNTIEVTTjo4NkRGLTRCQkMtOTMzNTElMCMGA1UEAxMcTWljcm9zb2Z0
# IFRpbWUtU3RhbXAgU2VydmljZaIjCgEBMAcGBSsOAwIaAxUANiNHGWXbNaDPxnyi
# DbEOciSjFhCggYMwgYCkfjB8MQswCQYDVQQGEwJVUzETMBEGA1UECBMKV2FzaGlu
# Z3RvbjEQMA4GA1UEBxMHUmVkbW9uZDEeMBwGA1UEChMVTWljcm9zb2Z0IENvcnBv
# cmF0aW9uMSYwJAYDVQQDEx1NaWNyb3NvZnQgVGltZS1TdGFtcCBQQ0EgMjAxMDAN
# BgkqhkiG9w0BAQUFAAIFAOk2JVgwIhgPMjAyMzEyMjcxMjIzNTJaGA8yMDIzMTIy
# ODEyMjM1MlowdDA6BgorBgEEAYRZCgQBMSwwKjAKAgUA6TYlWAIBADAHAgEAAgIO
# jDAHAgEAAgISDDAKAgUA6Td22AIBADA2BgorBgEEAYRZCgQCMSgwJjAMBgorBgEE
# AYRZCgMCoAowCAIBAAIDB6EgoQowCAIBAAIDAYagMA0GCSqGSIb3DQEBBQUAA4GB
# ALFboK/JV0XvlEmW+AvGfKhgWKMfIp6MmaAsHbpBag+G0W1LMttQz26d8oUapA9+
# Cykun/6y9O7RcaH9YIkzqLuY4jTjAVkkeWm8KilurRAJ9iiaagkIP1ZV2smC+Iij
# j34e1ya9TyK9KQOrUjf4JeGX/cky6km+yWbmZC59xOObMYIEDTCCBAkCAQEwgZMw
# fDELMAkGA1UEBhMCVVMxEzARBgNVBAgTCldhc2hpbmd0b24xEDAOBgNVBAcTB1Jl
# ZG1vbmQxHjAcBgNVBAoTFU1pY3Jvc29mdCBDb3Jwb3JhdGlvbjEmMCQGA1UEAxMd
# TWljcm9zb2Z0IFRpbWUtU3RhbXAgUENBIDIwMTACEzMAAAHdXVcdldStqhsAAQAA
# Ad0wDQYJYIZIAWUDBAIBBQCgggFKMBoGCSqGSIb3DQEJAzENBgsqhkiG9w0BCRAB
# BDAvBgkqhkiG9w0BCQQxIgQgUYxxv/PpZVm3fy9XqUM71OuuV9PansQCdTwk8Eqj
# wqYwgfoGCyqGSIb3DQEJEAIvMYHqMIHnMIHkMIG9BCBh/w4tmmWsT3iZnHtH0Vk3
# 7UCN02lRxY+RiON6wDFjZjCBmDCBgKR+MHwxCzAJBgNVBAYTAlVTMRMwEQYDVQQI
# EwpXYXNoaW5ndG9uMRAwDgYDVQQHEwdSZWRtb25kMR4wHAYDVQQKExVNaWNyb3Nv
# ZnQgQ29ycG9yYXRpb24xJjAkBgNVBAMTHU1pY3Jvc29mdCBUaW1lLVN0YW1wIFBD
# QSAyMDEwAhMzAAAB3V1XHZXUraobAAEAAAHdMCIEIKTwLNKNs67rAJhf0zB+0bCF
# xNGovcqGBwWTRCBG6/4DMA0GCSqGSIb3DQEBCwUABIICAF+atDht6gQszu2yoG8/
# tPSE9P1c9t9pThNq9sOpIVq99vJ98ch2KBK6gPaBxIoPCGE1/7LmrecUBuzoCmfc
# uP17/9boO2lYLEiXX3+5tT7JONqNv18NUQJXnwzJNLAX6r9Z0IrJPXbRtixDVvGP
# NanxZJmY/xn1z/w2l3yMyNrSosX92XN+8GOdkIdAAKmlu00Hz17MSBu9zQELh9fB
# lSl8fb36SGGMq/UiM8GV4RRqVrfY0M1di3pARacVmDn3rExCv90lHXjwFxQyL5I5
# pXKJ98GjScNdKiTV20PYOylMJbPKI99h0wo44tT9xFeZ4HoV8gkPMbiCq0XqoF7y
# bHUZJOfDLMJ0L5UgOVG9TE8rmC3szJrVCBtvwFCco3XzBa2rPuo2+yXtXgII+8Sj
# Jprw/uzzzaTGkFjJmOMubHfluHPLdYsC4tVxxSvZJboXzFslge5G4eKC5YjOaIO2
# 2WGR9InVB3jvka4bVkPOcZAEjHhwKY4B1zvHp8f9rYdGySuCgvmAopYcfxg1SjUs
# iL5Mq3uzMmWjcSoj8hbQmQ3tGmnfBW/2G3QvQ7w8znZh7cJdUXfOmTOT7R2tI7hs
# Ro8Gxr/o6M7A+mNgB809rj+lRKkhsrFi1pcV2NIiPfqiV4iNV5MiC2mfJEfr9Gor
# 3Ln3A2w1eKOX69miwImnTyB/
# SIG # End signature block
